Water Allocation System (WAS) Stochastic Database Version

Database Stochastic Water Allocation System Model (WASDBStoc)

WASDBStoc is a database stochastic version of the Water Allocation System (WAS) model.

WASDBStoc benefits are:

  1. Allows users to define through the user interface, the Regional Setup of countries, districts, nodes, water use sectors, water quality types, and wastewater generation and treatment relations for a modeling scenario
  2. Allows users to define a set of water availability events and optimize infrastructure capacity expansions, conservation program developments, and operational allocations across the events
  3. Allows the user to specify potential infrastructure expansions for desalination plants, waste-water treatment plants, conveyance pipelines, and water sources
  4. Allows users to specify potential water conservation and leak reduction programs
  5. Stores all model and scenario data in an MS Access database
  6. Provides flexible data input for the set of countries, districts, nodes, etc. defined in a model scenario

Read the Getting Started section for directions on how to unzip and install the program and get it running.

Read the Tutorial to get a quick overview of how to launch and use the program.

The application's dialogs (forms and editors) are explained in the Dialogs section.

For any questions please refer to http://www.engr.usu.edu/cee/faculty/derosenberg/

For any suggestions contact David Rosenberg.


About WAS DB Stoc

This version of the Water Allocation System (WAS) model includes Capacity Expansions, Water Conservation Programs, Stochastic (probabilistic) Water Availability, and a database-driven user interface that allows the user to define the set of countries, districts, water use sectors, water quality types, and nodes to include in the model scenario.

The user interface, database, and GAMS code were (re)written by David Rosenberg as part of his dissertation research funded by the National Science Foundation. To report bugs, please email him at: david.rosenberg@usu.edu.

A further explanation of the optimization program including the full mathematical formulation the can be found online at: http://www.engr.usu.edu/cee/faculty/derosenberg/documents/Rosenberg_Dissertation_All_Single.pdf in Chapter 6.

To cite this model, please reference:

David Rosenberg, Richard Howitt, Jay Lund (2008). "Water Management with Water Conservation, Infrastructure Expansions, and Source Variability in Jordan" Water Resources Research. W11402, doi:10.1029/2007WR006519.

The original (single-year) version of WAS was developed through the Middle East Water Project, supported by the Dutch Government, and chaired by Frank Fisher of MIT with technical support from Dr. Annette Huber-Lee. Dr. Fisher can be reached at ffisher@mit.edu.


Getting Started

Consult the following pages for information on installation and starting to use the program.
  • Installation
  • Starting the program


Installation

To Install the Stochastic Database Version of WAS
  1. Save the self-extracting installation file WASDBStoc-Setup.exe in a temporary location.
  2. Download and install the GAMS optimization software from www.gams.com. You will need a license for the CONOPT solver.
  3. Open and run the self-extracting installation file WASDBStoc-Setup.exe. This will launch the program installer.
    • On Page 1, read and then then confirm your agreement to terms of the software license.
    • On Page 2, select the subdirectory where you want to install the program. (NOTE: this subdirectory must have no spaces in the path, i.e., C:\Test\WAS_DB is fine, but C:\Test\WAS DB nor C:\Program Files\WASDB are not). The installer will re-prompt you until you enter a proper path.
    • On Page 3, navigate to and select the subdirectory where you installed GAMS. The program needs to know where this folder is located (with the file gams.exe) so that models scenarios can be optimized.
    • On Page 4, click the Install button to proceed with the installation.
  4. The installation program will also add the group WASDBStoc to your Windows Program Start Menu.
  5. Launch the was_stoc.exe program. Either:
    • Select the link was_stoc from the Windows Program Start menu under the group WASDBStoc, or
    • Run the file was_stoc.exe which is located in the folder you selected/created during the installation.

If all of the above steps are done correctly, the WAS Main Page will open. Follow directions on the Tutorial to proceed with building, running, and examining results for one or more model scenarios.

Re-Installing GAMS

Should you re-install GAMS or install an updated version of GAMS, you will subsequently need to tell WAS where GAMS is now located (you do not need to uninstall nor reinstall WAS). Instead:

  1. Run the configuration utility and executable file WASDB_Configure.exe. (It's located in the subdirectory where you installed WAS and also available on the Windows Program Start Menu. Select the WASDBStoc group, then the link WASDB_Configure).
  2. The Configuration utility screen will appear as below.
  3. Leave the Program Path at its default value (this is the subdirectory where you installed WAS).
  4. Set the GAMS Directory to the directory where GAMS was installed (click the button to the right labeled ... to open a file browser and nagivate to the subdirectory where the GAMS was installed. Then, select the file gams.exe).
  5. After setting the Program Path and GAMS Directory, click the Configure button. The utility will run and configure paths and input files correctly for the path were the program was installed.

Uninstall

To uninstall the Stochastic Database Version of WAS (Note: you will lose all input data and results):

  1. Open the Windows Program Start menu, select the WASDBStoc group, and select the link Uninstall WASDBStoc. Alternatively, run the program uninstaller.exe which is located in the directory/folder where you installed the WAS Program.
  2. Delete all the remaining files/subdirectories in the folder where you initially installed the was program.

NOTE: To uninstall the program, but retain model input data, copy the model database file dbWASDataStoc.mdb (located in the installation folder, or any other database files created) to a safe location. Then proceed with uninstall steps #1 and 2 above.


Starting the program

To start the Stochastic Database version of WAS, open the application/executable was_stoc.exe located in the subdirectory where WAS was installed. Alternatively you may use the shortcut to the program added to the Windows Start Programs list when the program was installed.


Support

Please email bug reports or questions to david.rosenberg@usu.edu.


Copyright

The copyright and intellectual property rights of this software, the Stochastic Database Version of WAS, and all its documentation, including this online help system, are owned by either Utah State University or Dr. Franklin Fisher (the originator of the WAS Program), and are protected by copyright laws and international intellectual property right treaties. You may not copy any portion of the software or documentation in any form, except to use this software in accordance with the terms of the license agreement shown when you installed the program. The key terms of the license agreement are:
  1. I acknowledge that I have received from David Rosenberg, this derivative copy of the WAS model for Israel, Jordan, and Palestine (the Software) and data and projections on water supply, costs, consumption, and infrastructure for Israel, Jordan, and Palestine (the Data).
  2. I will only use the Software and Data I have received from David Rosenberg to support David Rosenberg’s teaching and research at or for Utah State University.
  3. I will not further distribute copies of the Software nor Data to any other person or entity nor allow use of the Software or Data for any purpose other than the uses proscribed in section (2).
  4. I have read the Software and Data License Agreement between Franklin M. Fisher and David Rosenberg and agree to comply with and be bound by all the terms for use set forth in that Agreement. And,
  5. Should I desire to use the Software or Data for a use outside the uses allowed herein, I will first obtain written permission directly from the originator of the Software and Data, Dr. Franklin M. Fisher.


Tutorial

This tutorial lists the basic steps to open a model scenario, edit data, optimize, and view results. After installing the program, open the application/executable was_stoch.exe and the WAS Main Page will appear as shown below.

Then follow these steps:

  1. From the File Menu, click Select Database to open a file directory dialogue to select the MS Access Database in which model scenario data is stored (or use the default database).
  2. From the Scenario Menu, click Open to open the Scnenario Manager and select a scenario, duplicate an existing scenario, or create a new one. Also be sure to highlight one scenario and Set as Default scenario. The program will reference this default scenario to help identify changes (in the regional setup or data entry) made to the selected scenario.
  3. With a model scenario selected, the Regional Setup, Input Data, and Results Menus plus the Optimize Scenario and Optimize All buttons will become active.
    • Use the Regional Setup Menu to access editors to edit or modify the lists of Countries, Districts, Water Use Sectors, Water Quality types, and Nodes to include in the model scenario. Add, duplicate, delete, or edit list members using the various editors.
      1. For districts and nodes, note that is will be very helpful to specify their X- and Y- Coordinates to help when viewing results in the Schematic. Use the District Editor or Node Editor to specify coordinates directory o use the Position Districts and Nodes Editor to drag and drop district labels to position them. This editor also allows you to load + save a map layer (click the button labeled Picture).
      2. Note that if multiple water quality types are defined (i.e., freshwater and recycled water), you must also define which sectors can use the different water quality types and whether wastewater after use by a sector can be treated to become another water quality type. To do this, open the Sector Uses of Quality Types and Treating Sector Wastewater for Reuse Editors available from the Regional Setup Menu.
    • Enter all the model input data including Demands, Supplies, Infrastructure, and Policies using the editors available from the Input Data Menu. Input fields will be available based on the sets of countries, districts, water use sectors, water quality types, etc. defined in the Regional Setup editors.
  4. Once data entry is complete, click the Optimize Scenario button to launch the GAMS optimization solver. A window will appear letting you know when results are available for viewing.
  5. View optimization results. A variety of viewing options are available through the Results Menu.
    • Scenario Summaries: Shows a table listing optimized Net Benefits for every scenario in the database based on the last time each scenario was optimized. Text can be copied and pasted into a wordprocessor or spreadsheet program for formatting. (Note that if changes in a scenario's input data were made, but the scenario was not optimized, then these changes will NOT be reflected in the results).
    • Tabular Output: Shows a variety of text tables listing all the model output for the optimized scenario. The first file shows how input data for the optimized scenario differs from the input data for the default scenario.
    • Cost-Benefit Calcs.: opens an editor where the present value of benefits between the model scenario and a second (comparison) scenario (previously optimized) can be calculated. The present value of benefits is calculated from the difference in optimized net annual benefits between the two scenarios and the discount rate, project life, and capital costs entered by the user.
    • Schematic: Opens a window where all model results can be viewed spatialy based on the district locations entered in the District Editor or Position Districts and Nodes Editor. Check one or more countries to view results for the districts associated with those countries. Select various results from the menu option at the top of the page. And use the drop-down lists underneith the country lists (as available for different results types) to show results for particular water use sectors or water quality types. In several instances results will be summarized by country. Results for a comparison scenario can also be shown.
  6. Select Quit from the File Menu to exit and safely close the program.


Dialogs

All of the WAS Program Dialogues Editors are available through the WAS Main Page menus and include:

  • File options
  • Scenario Manager
  • Regional Setup
  • Input Data
  • Results, and
  • Help.

The Figure below shows the WAS Main Page. The Regional Setup, Input Data, and Results Menus are inactive (grey) and only become active when a model scenario is opened using the Scenario Manager.


WAS Main Page

The WAS Main Page provides access to all the programs' dialogues and editors through the File, Scenario, Regional Setup, Input Data, and Results Menu. Click the Optimize Scenario button to identify optimal infrastructure capacity expansions, conservation program developments and water allocations for the selected model scenario or click the Optimize All button to optimize all scenarios in the model database in a single go. Check the Start from Previous Solution checkbox to initiate the optimal search routine from the previous solution identified for the selected model scenario.

The figure below shows the WAS Main Page as it will appear when the program is first opened (or whenever no model scenario is selected). Note that the Regional Setup, Input Data, and Results Menus plus the Optimize Scenario and Optimize All buttons are initially grey-ed out and inactive.

After selecting a model scenario to edit using Scenario Manager (to open the Scenario Manager, click Scenario Menu->Open), then the Regional Setup, Input Data, and Results Menus plus optimize buttons become active as shown in the figure below. Here the model scenario named Jordan2020_sy is selcted for editing as shown by the text in the bottom right of the window.

PrinterTestDBFileOptimize ScenarioStart from Previous SolutionOptimize All

Menus:

  • File
  • Scenario
  • Regional Setup
  • Input Data
  • Results
  • Help

Controls:

  • Optimize Scenario
  • Optimize All
  • Start from Previous Solution

Optimize Scenario

Click to optimize the selected model scenario. Optimizing will identify the mix of infrastructure capacity expansions, conservation programs, and water allocations (to each sector in each district, conveyance between districts, and use of local resources, desalination plants, and wastewater treatment plants) whithin specified physical and policy limiations that maximize the overall system net benefits. Following optimzation, view results using various windows in the Results Menu. Note that when the Optimize Scenario button is clicked, the program queries input for the selected model scenario from the database, writes the optmization input files, and then runs the GAMS optimization routine. The Optimize Scenario button must be clicked each time a change is made in the model scenario input data or regional setup to see the results of these changes.

Optimize All

Click to optimize all model scenarios in the database in a single go. Then, view the overall net benefits for all model scenarios in a compact table by selecting the Results Menu=>Scenario Summaries option.

Start from Previous Solution

Check this checkbox initiate the search for optimal infrastructure capacity expansions, conservation programs, and water allocations from the previous solution identified for the selected model scenario. Note, selecting this option can significantly speed up the solution search time when input data for selected model scenario is vary similar to the input data specified the model scenario the previous time the model scenario was optimized. Checking this option can signficantly lengthen the solution time if the input data was significantly changed from the previous time the model scenario was optimized. Note, this feature is not available if the regional setup of districts, water use sectors, water quality types, or water availability events included in the model scenario was changed from the previous time when the model scenario was optimized.


File Menu

Offers various features to help manage files the WAS program uses. Select the Database to open a file directory viewer to select the MS Access database in which model scenarios and their data are stored. Open and edit the Database Handle Files Editor to select the text files which describe how to query scenario data from the database and format it for input to the GAMS optimization engine. Use the Printer Setup to select the printer to use to print results windows available through the Results Menu. Or, select Quit to exit the program.

The Figure below shows the WAS Main Page with the File Menu selected and the various options.

Features:

  • Select Database
  • Database Handle Files
  • Printer Setup
  • Quit

Select Database

Opens a file viewer to allow the user to select the Microsoft Access Database (*.mdb files) in which model scenarios and their data are stored.

Database Handle Files

Opens the Database Handle File Editor. This editor allows the user to select the database handle files which query the database and format model data for input to the GAMS optimization engine. Note these handle files should only be changed in an emergency.

Printer Setup

Opens a Printer dialogue to allow the user to select the printer to use to print optimization results available through the Results Menu.

Quit

Opens the the Quit Window which prompts the user to confirm quitting the program.


Database Handle Files

This editor allows the user to select the Database Handle Files. These files provide instructions on how to query the MS Access database and format scenario input data for use by the GAMS Optimization Engine. Note: These files should only be changed in an emergency. The figure below shows the editor as it appears when it is opened. Three Database Handle files are specified.

Selecting the second file in the table (figure below) shows the queries included in the second database handle file in the list. These queries define all the GAMS sets which specify the country, district, water quality type, etc. elements that will comprise the Regional Setup to include in the model scenario.

Features

  • Database Handle Files
  • Add File
  • Edit File
  • Delete File
  • Delete All
  • Revert
  • Close

Database Handle Files

List of database handle files with instructions on how to query the model database and format input data for use by the GAMS optimization engine. Selecting a file in the table will show the queries specified in the file in the textbox titled Queries in Selected File to the right of the table.

Add File

Add a new database handle file. A file viewer will open and prompt the user to navigate to and select the desired file.

Edit File

Allows the user to edit the filename and/or path for the selected/highlighted file. Will open a file viewer to aid in editing.

Delete File

Remove the selected/highlighted file from inclusion in the list of Database Handle Files (note: the file will still exist in the directory)

Delete All

Removes all database handle files from the list (note: these files will still exist in the directory).

Revert

Reverts the table to the list of Database Handle Files that existed when the editor was opened.

Close

Saves changes, close the editor, and return to the WAS Main Page.


Quit WAS v.3.4

Quit

Opens a dialogue and prompts the user to confirm quiting the program.

YesCancel

Features:

  • Yes
  • Cancel

Yes

Click to close the program.

Cancel

Click to cancel the cquite and return the use to the WAS Main Page.


Scenario Manager

The scenario manager allows the user to view the model scenarios available in the database and select a scenario to open and edit. A Model Scenario is simply a grouping of all model input data for a particular case. This input data can include the congifuration of countries (political units), districts, water use sectors, water quality types, and water availability events to include (defined through the Regional Setup Menu) and/or changes in the Input Data for the Demands, Supplies, Infrastructure, and Policies associated with the regional setup. A model scenario can represent current conditions, potential modifications, or hypothetical conditions the user wishes to test or simulate.

Within the Scenario Manager, the user may modify the Scenario Name, the forecast Year for which demands represent, the Interest Rate used to discount capital costs for all potential infrastructure expansions and conservation program developments entered later in the Input Data Menu. A text Summary Description allows the user to enter a description in words of the model scenario. The Scenario Manager also allows the user to Delete, Duplicate or create New scenarios, and set a a selected scenario as the Default to use to compare and show differences in model input data between the selected and default scenario.

The figure below shows the Scenario titled Jordan2020_syNatCons selected and compared to the dafault scenario Jordan2020_sy (these two scenarios differ only in that the former scenario has a national program of user conservation programs defined for urban users in each district).

Input Data

  • Scenario Name
  • Date Created
  • Year
  • Interest Rate
  • Summary Description

Features:

  • Available Scenarios
  • Open to Edit
  • Delete
  • Duplicate
  • New
  • Close
  • Set as Default
  • Comparison to Default Scenario

Scenario Name

Name of the scenario. Each name must be unique (different for each scenario in the database) and must not contain any spaces or funny characters like forward or backslashes. The scenario name is used to create a subdirectory of the same name to store optimization results.

Date Created

Date on which the model scenario was either created as a new scenario or duplicated from an existing scenario.

Year

Forecast year for Base Year Demands entered in the Demand Editor.

Interest Rate

Interest rate or discount rate used to compute annualized costs from the capital costs for desalination, conveyance, local source, and waste-water treatment plant expansions and user conservation and leak reduction program developments.

Summary Description

A text box where the user can enter text to describe and explain and document the selected model scenario.

Available Scenarios.

Lists the scenarios available in the selected database. Highlight a row to operate on using the buttons at the bottom or highlight a cell to enter or change the Scenario Name, Date Created, Forecast Year, Interest Rate, or Summary Description.

Open to Edit

Open the highlighted Scenario Name for editing input data, optimizing, and viewing results. Returns the user to the WAS Main Page with the Regional Setup, Input Data, and Results Menus plus the Optimize Scenario and Optimize All buttons now active.

Delete

Deletes the selected scenario. Will prompt the user to confirm deletion.

Duplicate

Duplicate the selected scenario. Prompts user for a new name (must be different than all existing scenario names in the database) and then copies all the selected scenario data including the regional setup into the new scenario.

New

Create a new scenario with default (mostly zero) values. User will be required to define the Regional Setup of countries, districts, nodes, water use sectors, etc. to include in the model scenario.

Close

Close the Scenario Manager without selecting a scenario. Will return to the WAS Main Page, but user will be unable to edit the regional layout, input data, nor view results.

Set as Default

Set the selected model scenario as the default scenario. This default scenario will be used to highligh and compare changes in scenario input data when another model scenario is subsequently selected in the scenario table. Comparisons will be shown in the window Comparison to Default Scenario. In the example above, the scenario named Jordan2020_sy is set as the default scenario.

Comparison to Default Scenario

Shows the default scenario in italix and provides a window to show the differences in input data between the selected scenario in the scenario table and the default scenario. Only differences in the regional setup or input data are shown.


Regional Setup

The regional setup menu on the WAS Main Page provides a list of menu options that open editors to define the water availability Events, Countries, Districts, Water Use Sectors, Water Quality Types, and Nodes to include in the model scenario. It also provides dialogues to define which Sectors can use which water quality types and which sector's wastewater can be treated for reuse as a different water quality type.

Features:

  • Water Availability Event Editor
  • Country Editor
  • District Editor
  • Water Use Sector Editor
  • Water Quality Type Editor
  • Node Editor
  • Sector Uses of Water Quality Types Editor
  • Sector Uses of Water Quality Type Editor
  • Treatment and Reuse of Sector Wastewater Editor


Event Editor

Opens the Event Editor and allows the user to define the water availability events for the model scenario. A Water Availability Event is a probabilistic description that a specified, future water availability will be realized. Each event is defined by an Event Name, Availibity Multiplier (i.e., fraction of base year water availability), and Probability (likelihood that the event will occur). Further, the Sort Order of events allows the user to set the order events will be listed in subsequent data input and results display. Together, the events describe the stochastic representation fo the future -- all possible future states for the system. Thus, event probabilities must sum to one. (To define a deterministic future, simply enter one event, assign it a probability of 100% and Availability Multiplier of 1.00).

On optimize, the program will identify optimal event-specific water allocations in each event while simultaneously finding the sets of infrastructure expansions, conservation program developments, and event allocations that maximize expected net benefits across all events. Expected net benefits are calculated by weighting net benefits in each event by the event probability. If not, on optimize, the program will raise an error. The example below has six events (Severe drought, Drought, etc.) with probabilities ranging from 7.3 to 27% and availabilities ranging from 0.44 to 2.05.

EventSort OrderProbabilityAvailabilityNewDuplicateOrder as in TableRevertCancelSave and Close

Features:

  • New
  • Duplicate
  • Order as in Table
  • Revert
  • Cancel
  • Save and Close

Data

  • Event
  • Sort Order
  • Probability
  • Availibity Multiplier

Event

Name of the event. In the above example, only one event named Single-Year is entered.

Sort Order

The numeric order in which events will appear in event drop-down lists for data entry.

Probability

Likelihood that the event will occur. Enter as a fractional number. The program will convert and show the probabilitiy as a percent.

Availability Multiplier

Multiplier by which the water availability of all local and common pool resources will be scaled for the event. For example, 1 represents 100% of the water availability entered. 0.5 would represent a drought reducing availability by 50% during that event.

New

Add a new event to the table with all input data for this event set at default (mostly zero) values. User will subsequently have to enter all input data for the new event in the Input Data menu.

Duplicate

Add a new event whose input values are all identical to the event selected/highlighed in the table.

Order as in Table

Click this button to reassign a cardinal Sort Order for each event as the rows currently appear in the table. For example, to assign a new event a sort order between two existing event: first, enter a decimal value as the sort order for the new event between the two existing events. Then, click the Sort Order column header to sort the listing of events by the sort order. Then click the Order as in Table to renumber the Sort Orders in cardinal values. Note click any column header to sort the list of Events by the entry in the column. Click the column header again to sort the list in the opposite direction.

Revert

Revert all events and event data to values that appeared when the event editor was initially opened.

Cancel

Revert all events and event data to values that appeared when the event editor was initially opened, closes the event editor, and returns the user to the WAS Main Page.

Save and Close

Save existing defined events, close the event editor, and return to the WAS Main Page.


Country Editor

The Country Editor allows the user to define the countries (or polical units) to include in the model scenario. A country allows the user to aggregate optimization results for a sub-set of districts and nodes within and sharing a common political affiliation (use the District Editor to assign a district to a particular country). The user must enter a Country Name and Sort Order (indicating the order country names are displayed in subsequent lists) for each country. The figure below shows one country (Jordan) entered.

Data

  • Country Name
  • Sort Order

Features:

  • New
  • Duplicate
  • Delete
  • Order as in Table
  • Revert
  • Cancel
  • Save and Close
  • Import...

Country Name

Name of the Country. In the above example, only one Country named Jordan is shown. Select the cell to edit or change the country name. Changes will be reflected in all subsequent drop-down lists and results output.

Sort Order

The numeric order in which Country Names will appear in country drop-down lists for data entry.

New

Add a new Country to the table with all input data for this country (such as ownership of common pool resources) set at default (mostly zero) values. Subsequently, in the District Editor, the user will have to create Districts and assign them to the country. Then later enter all input data for those districts in the Input Data menu.

Duplicate

Add a new Country whose input values will be identical to the Country selected/highlighed in the table. The duplicate country will also have duplicate copies of all districts and those districts' data defined for the selected country.

Delete

Delete the country selected/highlighted in the table. The user will be prompted to confirm deleting the country. All data for the country including districts associated with the country will be deleted from the model scenario.

Order as in Table

Renumber the Sort Order for each Country as the rows currently appear in the table. Click this button to reassign a cardinal Sort Order for each country as the rows currently appear in the table. For example, to assign a new country a sort order between two existing countries: first, enter a decimal value as the sort order for the new country between the two existing countries. Then, click the Sort Order column header to sort the listing of countries by the sort order. Then click the Order as in Table to renumber the Sort Orders in cardinal values. Note click any column header to sort the list of Countries by the entry in the column. Click the column header again to sort the list in the opposite direction.

Revert

Revert all Countries and Country data to values that appeared when the Country editor was initially opened.

Cancel

Revert all Countries and Country data to values that appeared when the Country editor was initially opened, closes the Country editor, and return the user to the WAS Main Page.

Save and Close

Save existing defined Countries, close the country editor, and return to the WAS Main Page.

Import...

Opens a dialogue that allows the user to import a country and all its associated data (including districts) from another model scenario defined in the database.

First, select the scenario from which to import. Then, the drop-down list of countries available in that scenario will update. Select a country and click the Import button. When importing a country and all it's associated data, the user must make sure that the sets of Events, Water Use Sectors, and Water Quality Types are the same in both model scenarios. Otherwise, the import will cause errors.


District Editor

The District Editor allows the user to define the districts to include in the model scenario. Districts are locations where water sector demands exist, desalination and wastewater treatment plants can be built and operated, local water sources (available to the district) defined, developed, or expanded, leakage rates for water conveyed within the district assigned, as well as a variety of pricing, water set aside, etc. policies defined. The district editor allows the user to add new, duplicate, and delete districts in the model scenario, edit or modify the District Name, specify the Sort Order in which districts will appear in drop-down lists, define the Country (political unit) to which the district is associated, plus specify the district location in terms of X Coordinate and Y Coordinate. (Note ({0,0} represents top-left of a box and {1000,1000} represents bottom-right). The example below has 12 districts and the figure in the Position Districts and Nodes Editor shows the X- and Y- coordinates for the districts. Use the drop-down list of Country Names above the table to limit display of districts in the selected country. Leave this drop-down list empty (blank) to show all districts for all countries.

DistrictNameSortOrderNewDuplicateDeleteOrderAsInTableRevertCancelSaveClosePositionPoints

Features

  • New
  • Duplicate
  • Delete
  • Order as in Table
  • Revert
  • Cancel
  • Save and Close
  • Position Points

Data

  • District Name
  • Sort Order
  • Country
  • X Coordinate
  • Y Coordinate

District Name

Select the text box and edit or change the district name. This name will appear in all subsequent district-related drop-down lists and in results.

Sort Order

Select the text box and edit or change the number associated with the district. Districts will be listed in drop-down lists according to the chronologically increasing sort order. Note, if inlcuding multiple countries in the regional setup, it is avisable to have sort-orders for districts associated with subsequent countries continue with the number following the last district in the previous country. For example, if Country A has 3 districts and Country B has 4 districts, districts 1 to 3 in Country A can be assigned sort orders of 1, 2, and 3, but districts 1 to 4 in Country B should be assigned sort orders of 4, 5, 6, and 7.

Country

Select the textbox and a drop-down list of available countries will appear. The user can select the country to which to assign the district.

X Coordinate

Specify the X coordinate of the district location as an integer between 0 and 1000 where 0 is far left and 1000 is far right. Note, click the Position Points button to open the Position Districts and Nodes Editor that allows the user to drag and drop district labels to position and set their X- and Y- coordinates.

Y Coordinate

Specify the Y coordinate of the district location as an integer between 0 and 1000 where 0 is top and 1000 is bottom. Note, click the Position Points button to open the Position Districts and Nodes Editor that allows the user to drag and drop district labels to position and set their X- and Y- coordinates.

New

Click to add a new district to the list. All district data will be set at default (mostly zero) values.

Duplicate

Select an existing district and then click duplicate. The user will be prompted to enter a new (unique) district name. All district data from the selected district (including populations, demand elasticities, local water sources, desalination plants, etc.) will be copied into the new district.

Delete

Highlight a district and click delete. The user will be prompted to confirm the deletion. The district and all it's associated data, as well as conveyance links leading either into or out of the district will be deleted from the model scenario.

Order as in Table

Click this button to assign the Sort Order as Districts are currently listed in the table.

Cancel

Revert all modifications, close the District Editor, and return to the WAS Main Page.

Save and Close

Save all modifications, close the District Editor, and return to the WAS Main Page.

Position Points

Opens the Position Districts and Node Editor and allows the user to drag and drop district labels to position and set their X- and Y- coordinates.


Position Districts and Nodes

This editor allows the user to drag and drop districts and nodes to position them and define their spatial location and X- and Y- Coordinates. To move a district or node, simply click and hold the district then drag it to is new location. The user can also add a Picture (map) layer to use to guide the placing of districts. When positioning districts, make sure to leave at two rows of space below the district name so that results for the current and a comparison scenario can be displayed when the Results Schematic is used. Also, if multiple countries are defined for a model scenario, the user can click the country name on the right of the map to select the Country Color to use to display the names of districts and nodes associated with that country. Also, the user has a choice about how to position districts.

    1. Separate Countries. Position the districts for each country assuming countries will be viewed separately in the Results Schematic (i.e., a checkbox for only 1 country will be selected at any given time). In this case, districts of different countries may overlap. A picture/map will only be available for one country.
    2. Adjacient Countries. Position the districts for each country assuming countries will be viewed together in the Results Schematic (i.e., multiple country checkboxes will be checked). In this case, do not overlap any districts.

The figure below shows an example for one country Jordan with 12 districts and no nodes.

CountryColorPictureEntityClosePage(0)Col Widths

Features

  • Country Color
  • Picture
  • Remove
  • Delete
  • Revert

Country Color

Select the box with the country name to the right of the map image to open a color palette. Select the color to assign to the country. All districts associated with the country will be displayed in the selected color.

Picture

Click this button to open a file nagivator to load a map/image/picture to show on the background and use to help position districts and nodes. This map/image/picture will also be available for viewing in the Results Schematic.

Remove

Click to remove the loaded map/image/picture.

Close

Click to close the positioning tool and return to the District or Node Editor.

Revert

Cancel all repositionings and return districts and nodes to the locations they were at when the tool was opened.


Sector Editor

Opens the Sector Editor and allows the user to define the water use sectors to include in the model scenario. Each Sector must include a Water Use Sector Name and Sort Order to display the order sector names are shown in subsequent lists. A water use sector provides for a particular classification of water demand (i.e., urban, agricultural, etc.) and may be limited as to what types of water qualities it can use (see the Sector Uses of Water Quality Types Editor). The example below has three water use sectors (Urban, Industrial, and Agricultural).

Features:

  • New
  • Duplicate
  • Delete
  • Order as in Table
  • Revert
  • Cancel
  • Save and Close

Data

  • Water Use Sector Name
  • Sort Order

Sector

Name of the Water Use Sector. Select the cell to edit or change the Sector name. Changes will be reflected in all subsequent drop-down lists and results output.

Sort Order

The numeric order in which Sectors will appear in Sector drop-down lists for data entry.

New

Add a new Sector to the table with all input data for this Sector (such as populations, demand elasticities, etc.) set at default (mostly zero) values. User will subsequently have to enter all input data for the new Sector in the Input Data menu.

Duplicate

Add a new Sector whose data values will be identical to the Sector selected/highlighed in the table.

Delete

Delete the Sector selected/highlighted in the table. The user will be prompted to confirm deleting the Sector. All data for the Sector will be deleted from the model scenario.

Order as in Table

Renumber the sort order for each Sector as the rows currently appear in the table.

Revert

Revert the list of Sectors and sector sort orders to the list as it appeared when the Sector editor was initially opened. Sector input data will similarly be restored.

Cancel

Revert the list of Sectors and sector sort orders to the list as it appeared when the Sector editor was initially opened, closes the Sector editor, and return the user to the WAS Main Page.

Save and Close

Save existing defined Sectors, close the Sector editor, and return to the WAS Main Page.


Water Quality Type Editor

Opens the Quality Editor and allows the user to define the water quality types to include in the model scenario. Each water quality type is defined by a Water Quality Types Name and Sort Order (to control the order water quality types are shown in subsequent lists). The optimization model performs mass balance on each water quality type at each district and node. Later, in the Sector Uses of Water Quality Types Editor and Treatment of Wastewater to Specified Quality Type Editor, the user can define/limit which water use sectors can use each water quality type and how water can be converted (treated) from one water quality type to another. The example below has two water quality types, freshwater and recycled water.

Data:

  • Water Quality Types Name
  • Sort Order

Features

  • New
  • Duplicate
  • Delete
  • Order as in Table
  • Revert
  • Cancel
  • Save and Close

Quality Type Name

Name of the Water Use Quality type. Select the cell to edit or change the Quality name. Changes will be reflected in all subsequent drop-down lists and results output.

Sort Order

The numeric order in which Qualitys will appear in Quality drop-down lists for data entry.

New

Add a new Quality to the table with all input data for this Quality (such as populations, demand elasticities, etc.) set at default (mostly zero) values. User will subsequently have to enter all input data for the new Quality in the Input Data menu.

Duplicate

Add a new Quality whose data values will be identical to the Quality selected/highlighed in the table.

Delete

Delete the Quality selected/highlighted in the table. The user will be prompted to confirm deleting the Quality. All data for the Quality will be deleted from the model scenario.

Order as in Table

Renumber the sort order for each Quality as the rows currently appear in the table.

Revert

Revert the list of Qualitys and Quality sort orders to the list as it appeared when the Quality editor was initially opened. Quality input data will similarly be restored.

Cancel

Revert the list of Qualitys and Quality sort orders to the list as it appeared when the Quality editor was initially opened, closes the Quality editor, and return the user to the WAS Main Page.

Save and Close

Save existing defined Qualitys, close the Quality editor, and return to the WAS Main Page.


Node Editor

The Node Editor allows the user to define the nodes to include in the model scenario. Nodes are junctions that can be the starting or ending point of a conveyance link. Unlike districts, nodes do not have associated with them any demand, policies, or infrastructure, aside from the afore-mentioned conveyance links. The node editor allows the user to add, duplicate, and delete nodes in the model scenario, enter or edit the Node Name, specify the Sort Order used to control the order node names will appear in drop-down lists, select the Country to which the node is associated, plus specify the node location in terms of X- and Y- coordinates (Note: {0,0} represents top-left of a box and {1000,1000} represents bottom-right). It is advisable to assign sort order to nodes that are larger than the largest sort order assigned to a district, so that in concatenated lists of Districts and Nodes, the nodes will appear after the districts. Also, use the drop-down list above Node Table to limit display of nodes to the selected country. Leave the drop-down list blank (empty) to show all nodes.

NodeNameSortOrderNewDuplicateDeleteOrderAsInTableRevertCancelSaveClosePositionPoints

Data

  • Node Name
  • Sort Order
  • Country
  • X Coordinate
  • Y Coordinate

Features

  • New
  • Duplicate
  • Delete
  • Order as in Table
  • Revert
  • Cancel
  • Save and Close
  • Position Points

Node Name

Select the text box and edit or change the Node name. This name will appear in all subsequent Node-related drop-down lists and in results.

Sort Order

Select the text box and edit or change the number associated with the Node. Nodes will be listed in drop-down lists according to the chronologically increasing sort order. It is advisable to assign sort order to nodes that are larger than the largest sort order assigned to a district, so that in concatenated lists of Districts and Nodes, the nodes will appear after the districts.

Country

Select the textbox and a drop-down list of available countries will appear. The user can select the country to which to assign the Node.

X Coordinate

Specify the X coordinate of the Node location as an integer between 0 and 1000 where 0 is far left and 1000 is far right. Note, click the Position Points button to open the Position District and Node Locations Editor that allows the user to drag and drop Node labels to position and set their X- and Y- coordinates.

Y Coordinate

Specify the Y coordinate of the Node location as an integer between 0 and 1000 where 0 is top and 1000 is bottom. Note, click the Position Points button to open the Position District and Node Locations Editor that allows the user to drag and drop Node labels to position and set their X- and Y- coordinates.New

Click to add a new Nodes to the list. The node will not have any conveyance links attached to it.

Duplicate

Select an existing Node and then click duplicate. The user will be prompted to enter a new (unique) Node name. All conveyance links and their associated data attached to the selected node will be copied and new, duplicate conveyance links added to the new node.

Delete

Highlight a Node and click delete. The user will be prompted to confirm the deletion. The Node and all the conveyance links leading either into or out of the Node will be deleted from the model scenario.

Order as in Table

Click this button to reorder the Sort Order list as Nodes are currently listed in the table.

Revert

Cancel all new additions, duplications, deletions, etc. and revert the Node list to as it appeared when the Node Editor was initiatlly opened.

Cancel

Revert all modifications, close the Node Editor, and return to the WAS Main Page.

Save and Close

Save all modifications, close the Node Editor, and return to the WAS Main Page.

Position Points

Opens the Position Districts and Nodes Editor and allows the user to drag and drop Node labels to position and set their X- and Y- coordinates.


Sector Uses of Quality Types

Sector Uses of Water Quality Types

This editor allows the user to define which water use sectors can use each water quality type defined in the model scenario. Note that a sector can use more than one water quality type. The editor presents a cross-tabulated table with water use sectors defined for the model scenario listed across the columns and water quality types shown in the rows of the first column. Check a box to indicate use by a sector of the indicated water quality type. For example, in the figure below, the Urban, Industrial, and Agriculture sectors can all use Freshwater, but only Agriculture can use Recycled water. Use the Set All Sectors column to check/uncheck selections for all the sectors in a row. Similarly, use the Set All Qualities row to check/uncheck all water quality types in a particular column.

SetAllSectorsSetAllQualitiesDoneRevertCancel

Features

  • Set All Sectors
  • Set All Qualities
  • Done
  • Revert
  • Cancel

Set All Sectors

Use checkboxes in the final, rightmost column to check/uncheck selections for all all water use sectors in the row in a single go.

Set All Qualities

Use checkboxes in the bottom row to check/uncheck selections for all the water quality types in the column in a single go.

Done

Click the Done button to save changes and close the editor.

Revert

Click to cancel all edits and revert the table to as it appeared when the Editor was initiatlly opened.

Cancel

Revert all modifications, close the Editor, and return to the WAS Main Page.


Treating Sector Wastewater for Reuse

This editor allows the user to define which sector wastewater can be treated and turned into a different water quality type (for reuse). Note that wastewater from a sector which uses a particular water quality type can NOT be treated to become the same water quality type (i.e., circular use). The editor presents a cross-tabulated table with water use sectors defined for the model scenario listed in the rows of the 1st column and water quality types shown as column headers of the 1st row. Check a box to indicate ability to treat sector wastewater to the specified water quality type. For example, in the figure below, wastewater from the Urban and Industrial sectors can be treated to become recycled water (for reuse in agriculture, based on the specifications in the Water Quality Use by Sector Editor). Note that is not possible to treat Urban or Industrial wastewater to become Freshwater (since these sectors use Freshwater as defined in the Water Quality Use by Sector Editor). Similarly, wastewater from the Agriculture sector can not be treated to become Recycled water since the Agriculture sector uses Reycled water (as defined in the Water Quality Use by Sector Editor). Although the editor will allow these entries/checks, a error will generate when the user attempts to optimize the model scenario.

Use the Set All Sectors row to check/uncheck selections for all the sectors in a column. Similarly, use the Set All Qualities column to check/uncheck all water quality types in a particular row.

SetAllSectorsSetAllQualitiesDoneRevertCancel

Features

  • Set all Sectors
  • Set all Qualities
  • Done
  • Revert
  • Cancel

Set all Sectors

Use checkboxes in the bottom row to check/uncheck selections for all the water use sectors in the column in a single go.

Set all Qualities

Use checkboxes in the rightmost column to check/uncheck selections for all the water quality types in the row in a single go.

Done

Click the Done button to save changes and close the editor.

Revert

Click to cancel all edits and revert the table to as it appeared when the Editor was initiatlly opened.

Cancel

Revert all modifications, close the Editor, and return to the WAS Main Page.


Input Data

Input data for a model scenario includes Demands, Supplies, Infrastructure and Policies entered through the various editors selected from the Input Data menu on the WAS Main Page.


Demand Editors

In the Water Allocation System Model, water demand (or the quantity/volume of water used by a sector) is not a fixed quantity, but rather a function of the price paid for water. Alternatively, we can say that the benefits from water use are a function of the quantity used. The demand function for each water use sector describes this relation and is an inverse exponential function as shown in the Figure below.

Where p*o is the price paid in ($/m3) at the base year use quantity q*0 (MCM/year). The slope of the curve is the elasticity. Together (p*o, q*o) define the base-year point on the curve and are entered in the Base Year Us Editor. The user specifies water sector demands by entering the Base Year Use, Population, Elasticity, Non-Potable Demands, and User Conservation. These are explained as follows.

Features

  • Base Year Use
  • Population
  • Elasticity
  • Non-Potable Demand
  • User Conservation


Base Year Use

Enter the base year use as the Quantity in MCM/year and Price paid in $/m3 for water in each district, water use sector, and water availablity event in the reference demand year. The Quantity and Price together describe a point on the demand curve. For example, in the figure below, Urban users in Amman demanded 195.2 MCM and paid $0.58/m3 for that water. Note that a variety of feastures are available to pivot and control display and input of this data. See Pivot Table Use.

Quantity

Water volume demanded in MCM/year by users in the water use sector during the base year.

Price

Price paid in $/m3 by users for the Quantity during the base year.


Population

Enter the population (number of persons or number of customers/users) for each district and water use sector. Population numbers do not affect the determination of water demands, but rather are used to calculate per capita use results from demands. The figure below shows the population of Urban users entered for each district in Jordan. The number of users in the Industrial and Agricultural sectors is set to 1 since this data is not available.

Features

  • Drop-down list of Countries
  • Set all Sectors
  • Set all Districts
  • Set all Cells
  • Done
  • Revert
  • Cancel

Drop-down list of Countries

Select a country to limit the display of districts to districts in the selected country. Clear text from the drop-down list to show all districts.

Set all Sectors

Enter a number in this cell to set the same value for all sectors in the selected row/district

Set all Districts

Enter a number in this cell to set the same value for all districts in the selected column/water use sector.

Set all Cells

Enter a number in this cell to set the same value for all entries in the table.

Done

Close the editor and return to the WAS Main Page.

Revert

Cancel changes and revert to the settings and values when the editor was opened.

Cancel

Revert changes, close the editor, and return to the WAS Main Page.


Elasticity

Enter the demand Elasticity (fraction) and Multiplier (fraction of base-year use quantity) for water in each district, water use sector, and water availablity event. The Elasticity describes the slope of the demand curve and represents the percent change in water use associated with a 1% increase in price The Multiplier indicates how demand scales (as a fraction of the base-year use quantity) in each event. For example, in the figure below, demand elasticities for Urban, Industrial, and Agricultural users were entered as -0.2, -0.33, -0.50 and a constant multiplier of 1 was entered. Note that a variety of feastures are available to pivot and control display and input of this data. See Pivot Table Use.

Elasticity

Describes the slope of the water demand curve or percent change in water use associated with a 1% increase in water price. Elasticities must be entered as negative (< 0), indicating a downward sloping curve--higher prices indicates less use.

Multiplier

Fraction of base-year quantity of water use in the particular event. This fraction is applied as a scalar multiplier to the base-year use (1 = no scale effects).


Non-Potable Demand

Enter the non-potable water use as the Quantity (MCM/year) and Scalar (fraction of event water availability) for water in each district and water use sector. Non-Potable use represents an additional volume of water that can be consumed by water use sectors to generate benefits, but does not need to be supplied and balanced as in other specified water quality types. In the Figure below, non-potable use is set to zero (0) and the scalars to 1. Note that a variety of feastures are available to pivot and control display and input of this data. See Pivot Table Use.

Quantity

Volume of non-potable water in MCM/year provided to users in the water use sector.

Scalar

Multiplier by which the Quantity can be adjusted.


User Conservation

Enter the existing and potential conservation programs to reduce water use by users in each district and water use sector. Enter reductions are as a percentage decrease in the existing Quantity of Base Year Use (i.e., the percent shift left in the demand curve as shown in the figure below).

.

Where q*0 represents the original Quantity of Base Year Use, qc is the quantity after conservation programs are implmented, and (q*0 - qc)/q*0 is the percent reduction.

Enter an Existing Reduction as the percent of Base Year Use, Expansion Cost in $ Millions per 1% reduction in use, Operating Life of the conservation programs, and Maximum Reduction achievable as a percent of the Quantity of Base Year Use. The Figure below shows example conservation programs entered for urban users. These programs have a 7-year lifespan and can reduce water use by up to 33% in the districts of Amman, Zarqa, Mafraq, and Irbid, and by up to 25% in other districts. Capital costs for urban conservation programs are $2 Million/1% reduction in Amman and $0.8 Million/1% reduction in Zarqa. Note that a variety of feastures are available to pivot and control display and input of this data. See Pivot Table Use.

Existing Reduction

Percent reduction in Quantity of Base Year Use by water conservation programs already in place.

Expansion Cost

Capital cost in $ Millions per 1% reduction in use to further expand conservation programs and reduce use up to the maximum allowable reduction.

Operating Life

Operating life in years for capital investments to expand conservation programs.

Maximum Reduction

Maximum reduction expressed as percent of exiting Quantity of Base Year Use which can be achieved by conservation program expansions.


Supply Editors

Supply Menu

The Supply Menu provides access to editors that allow the user to enter water sources available to supply water demand. These editors include local (surface and groundwater) sources in a district, local source operational costs, common pool (shared) resources, and desalination plants. Fossil aquifers and surface water storage facilities are not yet available.

Features

  • Local Sources Editor
  • Local Source Operational Cost Editor
  • Common Pool (Shared) Editor
  • Desalination Editor


Local Sources Editor

The Local Resources Editor allows the user to Add, edit, Delete, and enter data for the water sources (surface, spring, groundwater, etc.) of each water quality type available in each district. Each source is described by a Source Name, Base Flow volume in MCM/year, Existing Withdrawal Capacityin MCM/year, Expansion Costin $ Million/MCM to increase the withdrawal capacity, Operating Lifein years for the expansion, Maximum Withdrawal Rate in MCM/year, and a Scales multiplier that indicates how the base flow volume changes across water availability events. Operational costs to use each water source (i.e., extract, treat, and convey water to users in the district) are defined later in the Local Source Costs Editor. Together, the operating costs and withdrawal capacities for each source define a cost/supply step curve for water in each district as shown in the Figure below where p1, p2, p3 are the operational costs for sources 1, 2, and 3, and q1, (q2 - q1), and (q3-q2), are the associated withdrawal capacities for those supply steps. Note that the model assumes the last final step (which the user need not enter) is very, very expensive but infinifely large to avoid solution infeasibilities.

.

Also, use of a local resource need not be limited to users in the district. First, if the district is connected to other districts by one or more conveyance links, then water from the local resources can be conveyed to those districts wth additional conveyance costs as specified in the Conveyance Links Editor. Alternatively, a common pool (shared) resource can be defined (such as a groundwater aquifer or surface water reservoir) and each district with access to the resource can tap into it through definition of a local resource. Yet total withdrawal from the common pool resource can be defined and limited as specified in the Common Pool Editor.

The figure below shows some sample input. Here, a variety of Freshwater sources are defined for several districts as indicated by the column headers Step 1 and Step 2 which span multple data input columns. For example, the first source for Amman is Amman GW which has a Base Flow and Eixisitng Withdrawal Capacity of 34 MCM/year and no capacity to exapnd this withdrawal amount. The same amount of GW is available in every year (Scales =0) and does not scale with the water event Availability Multiplier defined in the Event Editor. The second source for Amman is Zara Maeen with a Base Flow of 47.5 MCM/year. Similarly, the 1st source for Irbid is the Yarmouk River with a base flow of 246 MCM/year, existing withdrawal rate of only 126 MCM/year, but ability to expand this withdrawal capacity up to 206 MCM/year with capital expansion costs of approximately $1.39 Million/MCM. The availability of of this source across water availability events scales exactly with the Availability Multiplier defined in the Event Editor (Scales = 1). Note that no 1st step is defined for Mafraq, but the 2nd step is Mafraq GW with a Base Flow of 77 MCM/year.

Data

  • Source Name
  • Base Flow
  • Existing Withdrawal Capacity
  • Expansion Cost
  • Operating Life
  • Maximum Withdrawal Rate
  • Scales

Features

  • Add a Local Resource
  • Delete a Local Resource
  • Add to All
  • Delete from All
  • Done
  • A variety of other features to pivot and control display and input of data. See Pivot Table Use.

Source Name

Name of the local resource. Each name must be unique.

Base Flow

Renewable flow in MCM/year of the resource in an average water availability event (availability mulplier = 1). .

Existing Withdrawal Capacity

Existing capacity in MCM/year to withdrawal the base flow amount and deliver it to users.

Expansion Cost

Capital cost in $ Millions per MCM to further expand the exisitng withdrawal capacity up to the maximum allowable withdrawal rate.

Operating Life

Operating life in years for capital investments to expand withdrawal capacity.

Maximum Withdrawal Rate

Maximum withdrawal rate in MCM/year that capacity expansions can achieve.

Scales

Multiplier indicating whether the Base Flow volume scales with the water availiblity multiplier across water availability events. A value of 0 indicates the Base Flow does not scale and is constant across all events. A value of 1 indicates the Base Flow volume scales exactly with the availability multiplier defined for the event.

Add a Local Resource

Click on the cell in the last (right-most) column and then again click the down-facing arrow that appears to add a new local resource (supply step) for the selected district. You will be prompted for a Source Name and then the new source will appear in the Table with default input values.

Delete a Local Resource

To Delete a Local Resource, double-click on the source name or any data cell for the course. You will be prompted to cofirm the deletion.

Add to All

Click this button to add an new local resource (step) to each district listedi in the Table.

Delete from All

Click this button to delete the selected local resource (step) from each district in the Table.

Done

Click to close the editor and return to the WAS Main Page.


Local Sources Costs Editor

The Local Sources Costs Editor allows the user to enter and edit the Operational Cost and Scarcity Value for each water source of each water quality type in each district and water availability event. Together, Operational Costs to use each water source (i.e., to extract, treat, and convey water to users in the district) and Scarcity Values for each source (i.e., a premium price paid to use the water in a particular event rather than reserve it for use in another event) sum to define the prices p1, p2, and p3 that describe the cost/supply step curve for water sources in each district as shown in the Figure below. Note that the quantities q1, (q2 - q1), and (q3-q2), are the associated withdrawal capacities for the supply steps and are entered in the Local Sources Editor. Also note that the model assumes the last final step (which the user need not enter) is very, very expensive but infinifely large to avoid solution infeasibilities.

.

The figure below shows some sample input for the Local Operational and Scarcity Costs Editor. Here, the table shows entries for Freshwater sources in the Single-Year event. For example, Steps 1 and 2 for Amman (which correspond to the Amman GW and Zara Maeen sources defined in the Local Resources Editor) have operational costs of $0.07/m3 and $0.44/m3 and no scarcity values. No local sources were defined for Steps 3 and 4 in Amman; thus these cells are empty.

Data

  • Operational Cost
  • Scarcity Value

Features

  • Done
  • A variety of other features to pivot and control display and input of data. See Pivot Table Use.

Operational Cost

Operational costs in $/m3 to use the water source. These costs include costs to extract, treat, and convey water to users in the district.

Scarcity Value

Scarcity values or cost in $/m3 to use the resource in the selected water availability event rather than reserve its use in another (presumably drier) event. This value respresents a premium paid to use the water.

Done

Click to close the editor and return to the WAS Main Page.


Common (Shared) Pool Editor

Use the Common Pool Editor to specify and limit aggregate use of local resources that draw upon and share a common pool resource. Common pool resources can include groundwater aquifers that underlie multiple districts or surface water reservoirs or rivers that can be diverted to multiple districts. Common pool constraints serve to limit the combined aggregate use of local sources (supply steps) that comprise the common pool.

For each Common Pool (Shared) resource/constraint, enter the Common Pool Name, Total Quantity of water available in MCM/year, how that total quantity of water Scales across different water availability events, Ownership of the Total Quantity by each country as a percent, and the Destinations of the Common Pool or local resources (steps) in each district that draw upon the common pool resource. The editor allows the user to add New, Duplicate, or Delete existing common pool resource definitions. Use the drop-down lists for water quality type and country to limit the display of districts in the Destinations table. When a common pool constraint (row) is selected, data in the other tables will update.

The Figure below shows data entered for the Disi Aquifer which defines a common pool that is shared between Sources (steps) #2 in the districts of Maan and Aqaba. A Total Quantity of 170 MCM/year is available for use through these two sources and this quantity scales across water availability events exactly with water availability level specified for each event. Jordan owns the Disi Aquifer entirely (100% ownership).

Input Data

  • Common Pool Name
  • Total Quantity
  • Scales
  • Ownership
  • Destinations

Features

  • New
  • Duplicate
  • Delete
  • Order as in Table
  • Revert
  • Cancel
  • Save and Close
  • Drop-down list of Water Quality Types
  • Drop-down list of Countries

Common Pool Name

Name of the Common Pool Resource. Each name must be unique.

Total Quantity

Total quantity in MCM/year of the common pool resource which is the aggregate, combined volume available for use by all local sources (destinations) that draw upon the common pool.

Scales

Multiplier on Total Quantity that describes how the Total Quantity scales across different water availability events. A value of 1 indicates the Total Quantity in a water availability event scales exactly with the event availability level. A value of 0 indicates the Total Quantity does not scale and is the same across all water availability events.

Ownership

Percent ownership of the common pool resource by the specified country. Note that ownership does not limit use of a shared common pool resource by the districts within the specifiedcountry; rather ownership is used to track the accounting of sales proceeds from and payments for use of the water among countries.

Destinations

Check checkboxes for all Local resources (supply steps) that draw upon the common (shared) pool resource. These local resources are the potential destinations for the common pool resource.

New

Click to add a new Common Pool (Shared) resource. You will be prompted to enter a new Common Pool Name. The new Common Pool will be added to the list with default data values.

Duplicate

Duplicate the existing selected common pool resource including all its Total Quantity, Scales, Ownership, and Destination data values.

Delete

Delete the selected Common Pool (shared) resource. You will be prompted to confirm the deletion.

Order as in Table

Reorder the list of common pool resources as they appear in the Common Pool Constraint Table.

Revert

Cancel edits and return the list of Common Pool resources and their data to as they existed when the editor was opened.

Cancel

Revert data to list of common pool resources and their data value when the editor was opened, close the editor, and return to the WAS Main Page.

Save and Close

Close the editor and return to the WAS Main Page.

Drop-down list of Water Quality Types

Limit display of rows in the Destinations Table to the selected water quality type. Clear text from the drop-down list to show all water quality types.

Drop-down list of Countries

Limit display of districts in the Destinations Table to only districts associated with the selected country. Clear text from the drop-down list to show all districts.


Desalination Editor

Enter data for desalination plants in each district that treat wate to the specified water quality type. This data includes the Existing Capacity of desalination plants in MCM/year, Operating Cost for extraction, treatment, and energy of existing or planned desalination plants in $/m3, Expansion Cost to expand desalination plant capacity in $ Millions/MCM, Maximum Capacity in MCM that desalination plant expansion, and Operating Life in years for desalination plant capacity expansions. Use the drop-down lists for water quality types and countries to limit the display of districts.

The Figure below shows potential desalination plants entered for Balqa and Aqaba. No districts currently have desalination plants (Existing capacity = 0), but plants can be built in Balqa and Aqaba with capital expidentures of $0.27 and $2.67 Million/MCM, will have operating costs of $0.92/m3 and $0.37/m3, operating lives of 20 years, and can be built up to capacities of 850 and 7.5 MCM respectively.

Input Data

  • Existing Capacity
  • Operating Cost
  • Expansion Cost
  • Maximum Capacity
  • Operating Life

Features

  • Done
  • Resort
  • Revert
  • Cancel
  • Set for all Districts
  • Drop-down list of Water Quality Types
  • Drop-down list of Countries

Existing Capacity

Capacity of existing desalination plants in MCM/year.

Operating Cost

Operating cost in $/m3 to desalinate water to the specified water quality type. These costs include water extraction, treatment, energy, and operations and maintenance.

Expansion Cost

Capital cost in $ Millions per MCM to expand desalination plant capacity.

Maximum Capacity

Maximum capacity in MCM/year for desalination plant capacity expansion.

Operating Life

Operating life in years for capital investments to expand desalination plant capacity.

Done

Close the editor and return to the WAS Main Page.

Resort

Reorder the district list according to the Sort Order specified for districts in the District Editor.

Revert

Cancel edits and return data to the values as they existed when the editor was opened.

Cancel

Revert data to the values when the editor was opened, close the editor, and return to the WAS Main Page.

Set for all Districts

Enter the same value for all districts.

Drop-down list of Water Quality Types

Limit display of rows in the table to the selected water quality type. Clear text from the drop-down list to show all water quality types.

Drop-down list of Countries

Limit display of table rows to districts associated with the selected country. Clear text from the drop-down list to show all districts.


Infrastructure Editors

Infrastructure Menu

The Infrastructure Menu proviedes access to editors that allow the user to specify and enter data for conveyance links (pipelines, canals, or rivers) between districts or nodes, intra-district conveyance, leakage, and leak reduction programs, and waste-water treatment plants. Over-Year Storage is not yet available.

  • Inter-District Conveyance Editor
  • Intra-District Conveyance, Leakage, and Leak Reduction Editor
  • Waste-water Treatment Plant Editor


Inter-District Conveyance Editor

Enter data for conveyance links that allow transport of water (i.e., canals, pipelines, or natural river reaches) between districts and nodes. Conveyance data includes the Link Name (a unique text identifier), Start Point (a district or node), Destination (End point; another district or node), Water Quality Type that can be conveyed, Existing Capacity of the conveyance link in MCM/year, Operating Cost for conveyance in $/m3, Expansion Cost to expand conveyance capacity in $ Millions/MCM, Maximum Capacity in MCM that the conveyance link can be expanded, the Operating Life in years for conveyance capacity expansions, Leak Rate in percent (water lost through conveyance), and Minimum Required Flow through the conveyance link in MCM/year. Use the Drop-down list of Water Quality Types to limit the display of conveyance links to the selected quality type. Click on any column header to sort conveyance links in ascending order according to the value in the column. Click the column header again to sort in the opposite direction.

The Figure below shows several Freshwater conveyance links entered. The list of Conveyance Links is sorted by the Start district ( Amman comes first). For example the first link is Balqa 3 and conveys up to 1 MCM/year of water from Amman to Balqa. This link has no leakage nor Minimum Required Flow, and can not be expanded. The Zai conveyer link has an existing capacity of 45 MCM/year, conveys water in the oposite direction from Balqa to Amman at an operating cost of $0.22/m3, and can be expanded up to a maximum capacity of 940 MCM at a capital expansion cost of $1.8 million/MCM. This expansion would have an operating life of 20 years before it would need to be replaced.

Input Data

  • Link Name
  • Start Point of Link
  • Destination (End) Point of Link
  • Water Quality Type
  • Existing Capacity
  • Operating Cost
  • Expansion Cost
  • Maximum Capacity
  • Operating Life
  • Leak Rate
  • Minimum Required Flow

Features

  • New
  • Duplicate
  • Delete
  • Order as in Table
  • Revert
  • Cancel
  • Save and Close
  • Drop-down list of Water Quality Types

Link Name

Name of the conveyance link. Each name must be unique.

Start Point of Link

Starting district or node for the conveyance link. To change the start point, click the cell and then the down arrow and select a new district or node from the list.

Destination (End) Point of Link

Destination or endpoint for the conveyance link. To change the destination, click the cell and then the down arrow and select a new district or node from the list.

Water Quality Type

Water quality type which can be conveyance through the link. To change the quality type, click the cell and then the down arrow and select a new quality type from the list.

Existing Capacity

Capacity of existing conveyance link in MCM/year.

Operating Cost

Operating cost in $/m3 to convey water of the specified water quality type along the conveyance link. This cost includes pumping, energy, operations and maintenance.

Expansion Cost

Capital cost in $ Millions per MCM to expand conveyance link capacity.

Maximum Capacity

Maximum capacity in MCM/year for conveyance link capacity expansion.

Operating Life

Operating life in years for capital investments to expand conveyance capacity.

Leak Rate

Leak rate as a percent. The leak rate represents the fraction of total water conveyed through the link that is lost and not otherwise available for use at the destination. Leakage can include seepage, evaporation, or theft.

Minimum Required Flow

Minimum required flow in MCM/year that must be maintained in the conveyance link. This requirement can represent instream environmental or navigation flow requirements, allocations required by treaty, etc.

New

Click to add a new conveyance link. The New Conveyance Link window will appear and prompt you to enter a Link Name, Start Point , End Point (destination), and Water Quality Type. Click Continue to add the link, close the window, and return to the Inter-District Conveyance Editor to modify the default settings for the new conveyance link. Click Cancel to cancel the new link, close the window, and return to the Inter-District Conveyance Editor.

Duplicate

Hightlight a conveyance link in the table, the click this button to add a new, duplicate conveyance link with all the data/settings as the selected conveyance link. You will be prompted to specify a new Link Name.

Delete

Delete the selected/highlighted conveyance link. You will be prompted to confirm the deletion.

Order as in Table

Reorder the conveyance links according to their current order in the Table.

Revert

Undo adds, duplicates, deletes, and edits and return the list of conveyance links and their data to the list and values as they existed when the editor was opened.

Cancel

Revert the list, close the editor, and return to the WAS Main Page.

Save and Close

Close the editor and return to the WAS Main Page.

Drop-down list of Water Quality Types

Limit display of conveyance links to the selected water quality type. Clear text from the drop-down list to show all water quality types.


Intra-District Conveyance and Leagage Editor

Intra-District Conveyance and Leakage Editor

Enter data for conveyance costs, existing leak rates, and leak reduction programs within a district for each water quality type. This data includes the Intra-District Conveyance Cost in $/m3, Existing Leak Rate in % of total water entering the district, Capital Reduction Cost of leak reduction programs in $ millions per 1% reduction in the leakage rate, Operating Life in years for leak reduction programs, and Minimum Achieable Leakage rate in % achievable by leak reduction programs. Use the drop-down lists for water quality types and countries to limit the display of districts.

The Figure below shows example data entry for districts in Jordan. There are no costs to convey Freshwater within each district 25% of the water entering each district is lost to physical leaks in the district distribution systems. However, this leak rate can be reduced to 14% by leak reduction programs. For example, in Amman, the capital cost of leak reduction programs is $17.8 Million/1% reduction and would have an operating life of 20 years. In Zarqa, the capital cost is less at $7 Million/1% reduction.

Input Data

  • Intra-District Conveyance Cost
  • Existing Leak Rate
  • Reduction Cost
  • Operating Life
  • Minimum Achieable Leakage

Features

  • Done
  • Resort
  • Revert
  • Cancel
  • Set for all Districts
  • Drop-down list of Water Quality Types
  • Drop-down list of Countries

Intra-District Conveyance Cost

Operating cost in $/m3 to convey and move water within the district to users. This cost represents costs above and beyond costs to convey water between districts or operational costs to extract, treat, and convey water from local sources to the district.

Existing Leak Rate

Existing leak rate through the district conveyance system expressed as a percent of total water delivered to the district. This leakage rate can represent evaporation, seapage, overflow of storage tanks, pipe bursts, or leaks on mains or laterals. Note that theft is entered separately as a Policy in the Unpaid Use editor.

Reduction Cost

Capital cost in $ Millions per 1% reduction in use to implement leak reduction productions that reduce the existing leak rate.

Operating Life

Operating life in years for leak reduction programs that reduce the existing leak rate.

Minimum Achievable Leakage

Minimum leakage rate in percent achievable by leak reduction programs.

Done

Close the editor and return to the WAS Main Page.

Resort

Reorder the district list according to the Sort Order specified for districts in the District Editor.

Revert

Cancel edits and return data to the values as they existed when the editor was opened.

Cancel

Revert data to the values when the editor was opened, close the editor, and return to the WAS Main Page.

Set for all Districts

Enter the same value for all districts.

Drop-down list of Water Quality Types

Limit display of rows in the table to the selected water quality type. Clear text from the drop-down list to show all water quality types.

Drop-down list of Countries

Limit display of table rows to districts associated with the selected country. Clear text from the drop-down list to show all districts.


Waste-Water Treatment Plant Editor

Enter data for waste-water treatment plants in each district that treat wate to the specified water quality type for reuse. Note this treatment represents treatment costs above the treatment costs for save environmental disposal specified in the Environmental Charges Editor in the Policy Menu. Waste water treatment plant data includes the Operating Cost for treatment in $/m3 above the level of safe environmental disposal, the Existing Capacity of the plant in MCM/year, Expansion Cost to expand waste-water treatment plant capacity in $ Millions/MCM, Maximum Capacity in MCM for waste-water treatment plant expansion, and Operating Life in years for plant capacity expansions. Use the drop-down lists for water quality types and countries to limit the display of districts.

The Figure below shows example waste-water treatment plant data entered for all districts in Jordan that can treat water to the Recycled water quality type (for reuse). Existing wastewater treatment plants have capacities ranging from 1 to 26 MCM/year. Further, the data entered allows further capacity expansions of wastewater treatment plants in the districts of Amman, Zarqa, and Aqaba. For example, in Amman, plant capacity can be expanded to 97.5 MCM at a capital expansion cost of $2.1 Million/MCM. This capacity expansion would have a lifetime of 20 years.

Input Data

  • Treatment Cost
  • Existing Capacity
  • Expansion Cost
  • Maximum Capacity
  • Operating Life

Features

  • Done
  • Resort
  • Revert
  • Cancel
  • Set for all Districts
  • Drop-down list of Water Quality Types
  • Drop-down list of Countries

Treatment Cost

Operating cost in $/m3 (above the environmental cost for safe disposal) to treat wastewater to the specified water quality type for reuse.

Existing Capacity

Capacity of existing wastewater treatment plants in MCM/year.

Expansion Cost

Capital cost in $ Millions per MCM to expand wastewater treatment plant capacity.

Maximum Capacity

Maximum capacity in MCM/year for wastewater treatment plant capacity expansion.

Operating Life

Operating life in years for capital investments to expand wastewater treatment plant capacity.

Done

Close the editor and return to the WAS Main Page.

Resort

Reorder the district list according to the Sort Order specified for districts in the District Editor.

Revert

Cancel edits and return data to the values as they existed when the editor was opened.

Cancel

Revert data to the values when the editor was opened, close the editor, and return to the WAS Main Page.

Set for all Districts

Enter the same value for all districts.

Drop-down list of Water Quality Types

Limit display of rows in the table to the selected water quality type. Clear text from the drop-down list to show all water quality types.

Drop-down list of Countries

Limit display of table rows to districts associated with the selected country. Clear text from the drop-down list to show all districts.


Policy Menu

The Policy Menu provides access to editors that allow the user to enter a variety of policies that reflect the pricing of or limitations on use of water. These editors include the:

  • Pricing Policy Editor
  • Set Aside Editor
  • Unpaid Use Editor
  • Required Allocations Editor
  • Limitations on Waste-water treatment and resuse Editor
  • Constraints on Use of Water Quality Types Editor
  • Environmental Charges Editor
  • Special User Conditions Editor


Pricing Policy Editor

The Pricing policy editor allows the user to define the pricing policy to put in place for each country and water use sector in the model scenario. A pricing policy adjusts the water use sector demand curve (private value of water) to reflect the additional social value of water as revealed by the selected policy. Options include No Policy (no adjustment), Fixed Price Policy, Tax/Subsidy Amount , and Tax/Subsidy Percent. The Pricing Policy Editor presents a cross-tabulated table with water use sectors defined for the model scenario listed across the columns and Countries shown in the rows of the first column. Click a cell and then click the down-pointing arrow to show the list of price policy options. Then select the desired option. When any price policy option (other than No Policy is selected), another Editor opens to allow the user to enter the data values for each district in the Country that define the pricing policy.

In the figure below, the Urban, Industrial, and Agriculture sectors currently have No policy selected, although a different option is about to be selected for the Urban sector. Use the Set all Sectors column to select the same Price Policy for all the sectors in a row/country. Similarly, use the Set all Countries row to select the same Price Policy for a particular column/water use sector in all Countries.

SetAllSectorsSetAllQualitiesDoneRevertCancel

Price Policy Types

  • No Policy
  • Fixed Price Policy
  • Tax/Subsidy Amount
  • Tax/Subsidy Percent

Features

  • Set All Sectors
  • Set All Countries
  • Done
  • Revert
  • Cancel

No Policy

No pricing policy is set and cancels all prior price policy settings. The public and private values of water are the same and are defined according to the demand curve for the water use sector defined in the Base Year Use and Elasticity Editors.

Fixed Price Policy

A step-wise schedule of increasing fixed prices and quantities is specified for each district in the Country using the Fixed Price Policy Editor. A fixed price policy can also be considered a quota system. In this case, the government offers the water use sector a fixed price for water (in one or more steps) up to a certain quantity (or quantities). Here, it is as though the government had a vertical demand curve at the specified quantity (since it stands ready to supply the water use sector that quantity at the fixed price). The difference between benefits from use according to the demand curve and revenue the government collects from use according to the fixed price policy schedule is counted as Government Costs and subtracted from the overall net benefits.

Tax/Subsidy Amount

The tax/subsidy amount is the value per cubic meter by which the social value of water exceeds the private value of water (the private value of water is specified according to the water use sector's demand curve). Values are entered using the Tax/Subsidy Amount Editor. In this case, the government's demand curve is obtained by raising the private one uniformly by the tax/subsidy amount. Enter a subsidy amount as a positive value and a tax amount as a negative value.

Tax/Subsidy Percent

The tax/subsidy percent represents the percentage increase of the social value of water over the private price paid by the water use sector (according to it's demand sector). Percentages are entered using the Tax/Subsidy Percent Editor. In this case, the price paid by private consumers is equal to that "paid" by the government times (1 - SUBRATE/100). (SUBRATE is expressed in percentage points). Enter a subsidy as a positive percentage and a tax as a negative percentage.

Set all Sectors

Use cells in the final, rightmost column to select the same Price Policy for all water use sectors in the selected row/country in a single go.

Set all Countries

Use cells in the bottom row to select the same Price Policy for all countries for the selcted water use sector/column in a single go.

Done

Click the Done button to save changes and close the editor.

Revert

Click to cancel all edits and revert the table to as it appeared when the Editor was initiatlly opened.

Cancel

Revert all modifications, close the Editor, and return to the WAS Main Page.


Fixed Price Policy Editor

Fixed Price (Quotas) Editor

The Fixed Price (Quotas) Editor allows the user to Add, edit, and Delete fixed price (quota) steps for the specified water availability event for each district in the country and water use sector selected in the Pricing Policy Editor. Each price (quota) set is defined by a Price in $/m3 and Quantity in MCM/year as shown in the Figure below. Together, the steps describe an increasing block structure by which the Government will guarantee the specified quantity of water to the water use sector in the district at the specified price.

.

In the Editor below, a single step is specified for Urban water users in each district and water availability event. This quota charges urban users $0.45/m3 for use up to 450 MCM/year.

Data

  • Price
  • Quantity

Features

  • Add a Price Step
  • Delete a Price Step
  • Add to All
  • Delete from All
  • Done
  • A variety of other features to pivot and control display and input of data. See Pivot Table Use.

Price

Price in $/m3 at which the government government garuantees to provide water to users in the specified water use sector.

Quantity

Quantity in MCM/year up to which the government garuantees water to the specified water use sector at the specified price.

Add a Price (Quota) Step

Click on the cell in the last (right-most) column and then again click the down-facing arrow that appears to add a new price (quota) step for the selected district.

Delete a Price (Quota) Step

To Delete a Price (Quota) setp, double-click on either the Price or Quantity cell for Price Step. You will be prompted to cofirm the deletion.

Add to All

Click this button to add a new price (quota) step to each district listed in the Table.

Delete from All

Click this button to delete the selected price (quota) step from each district in the Table.

Done

Click to close the editor and return to the Pricing Policy Editor.


Tax/Subsidy Amount Editor

Enter the tax/subsidy amount in $/m3 for the selected water use sector in each water availability event and district in the Country selected inthe Pricing Policy Editor. The tax/subsidy amount is the value per cubic meter by which the social value of water exceeds the private value of water (the private value of water is specified according to the water use sector's demand curve entered in the Base Year Use and Elasticity Editors). In this case, the government's demand curve is obtained by raising the private one uniformly by the tax/subsidy amount. Enter a subsidy as a positive amount and a tax as a negative amount.

The fgure below shows no taxes nor subsidies (all = 0) entered for Urban water users in Amman, Zarqa, and Mafraq for the 6 water availability events defined in the Event Editor.

Input Data

  • Tax/Subsidy Amount

Features

  • Done
  • Resort
  • Revert
  • Cancel
  • Set for all Districts
  • Drop-down list of Events

Tax/Subsidy Amount

Amount in $/m3 by which the social value of water exceeds the private value of water (the private value of water is specified according to the water use sector's demand curve). Enter a subsidy as a positive amount and a tax as a negative amount.

Done

Close the editor and return to the Pricing Policy Editor.

Resort

Reorder the district list according to the Sort Order specified for districts in the District Editor.

Revert

Cancel edits and return data to the values as they existed when the editor was opened.

Cancel

Revert data to the values when the editor was opened, close the editor, and return to the Pricing Policy Editor.

Set for all Districts

Enter the same value for all districts.

Drop-down list of Events

Limit display of rows in the table to the selected water availability event. Clear text from the drop-down list to show all water availability events.


Tax/Subsidy Percent Editor

Enter the tax/subsidy as a percent of the existing price for the selected water use sector in each water availability event and district in the Country selected in the Pricing Policy Editor. The tax/subsidy percent is the percentage increase of the social value of water over the private price paid by the water use sector (according to the water use sector's demand curve specified in the Base Year Use and Elasticity Editors). In this case, the price paid by private consumers is equal to that "paid" by the government times (1 - SUBRATE/100). (SUBRATE is expressed in percentage points). Enter a subsidy as a positive percentage and a tax as a negative percentage.

The fgure below shows no taxes nor subsidies (all = 0) entered for Urban water users in Amman, Zarqa, and Mafraq for the 6 water availability events defined in the Event Editor.

Input Data

  • Tax/Subsidy Percent

Features

  • Done
  • Resort
  • Revert
  • Cancel
  • Set for all Districts
  • Drop-down list of Events

Tax/Subsidy Percent

Percentage increase of the social value of water over the private price paid by the water use sector (according to the water use sector's demand curve specified in the Base Year Use and Elasticity Editors). Enter a subsidy as a positive percent and a tax as a negative percent.

Done

Close the editor and return to the Pricing Policy Editor.

Resort

Reorder the district list according to the Sort Order specified for districts in the District Editor.

Revert

Cancel edits and return data to the values as they existed when the editor was opened.

Cancel

Revert data to the values when the editor was opened, close the editor, and return to the Pricing Policy Editor.

Set for all Districts

Enter the same value for all districts.

Drop-down list of Events

Limit display of rows in the table to the selected water availability event. Clear text from the drop-down list to show all water availability events.


Set Aside Editor

Enter the set-aside volume in MCM/year for the specified water quality type in each water availability event and district. The set-aside volume is the quantity of water required to be allocated for environmental or other purposes regardless of economic cost. Use the drop-down lists for water availability events, water quality types and countries to limit the display of districts.

The Figure below shows a set-aside quantities of 46.6 and 16 MCM/year entered for Freshwater in the districts of Amman and Zarqa in each of the 6 water availability events.

Input Data

  • Setaside

Features

  • Done
  • Resort
  • Revert
  • Cancel
  • Set for all Districts
  • Drop-down list of Water Availability Events
  • Drop-down list of Water Quality Types
  • Drop-down list of Countries

Set Aside Quantity

The quantity of water in MCM/year required to be allocated for environmental or other purposes regardless of economic cost.

Done

Close the editor and return to the WAS Main Page.

Resort

Reorder the district list according to the Sort Order specified for districts in the District Editor.

Revert

Cancel edits and return data to the values as they existed when the editor was opened.

Cancel

Revert data to the values when the editor was opened, close the editor, and return to the WAS Main Page.

Set for all Districts

Enter the same value for all districts.

Drop-down list of Water Availability Events

Limit display of rows in the table to the selected water availability event. Clear text from the drop-down list to show all water quality types.

Drop-down list of Water Quality Types

Limit display of rows in the table to the selected water quality type. Clear text from the drop-down list to show all water quality types.

Drop-down list of Countries

Limit display of table rows to districts associated with the selected country. Clear text from the drop-down list to show all districts.


Unpaid Use Editor

Enter the Unpaid Use as the percent of the setaside quantity entered in the Set Aside Editor that is not paid for by the sector's water users in each water availability event. Unpaid use can represent theft, accounting loss, uncompensated use, or any other loss other than physical leakage (which is entered in the Intra-District Conveyance Editor). In the figure below, Urban water users in each district do not pay for 100% of the setaside volumes entered in the Set Aside Editor in each water availability event. There is no unpaid use for the Industrial and Agriculture sectors. Note that a variety of features are available to pivot and control display and input of this data. See Pivot Table Use.

Unpaid Use

Percent of the setaside quantity entered in the Set Aside Editor that is not paid for by the sector's water users in each water availability event. Unpaid use can represent theft, accounting loss, uncompensated use, or any other loss other than physical leakage (which is entered in the Intra-District Conveyance Editor).


Required Allocations

Use this editor to enter the Minimum Required Water Allocation in MCM/year that must be provided to each water use sector in each distrct. This allocation will be made regardless of economic cost. The Editor presents a cross-tabulated table with water use sectors defined for the model scenario listed across the columns and districts shown in the rows of the first column. Use the drop-down list of country names to select a country and limit the display of districts to districts in the selected country.

In the figure below, the Urban, Industrial, and Agriculture sectors currently have no minimum required allocations (all are zero). Use the Set all Sectors column to enter the same required allocation for all the sectors in a row/district. Similarly, use the Set all Districts row to enter the same minimum required allocation for a particular column/water use sector in all districts.

SetAllSectorsSetAllQualitiesDoneRevertCancel

Data

  • Minimum Required Allocation

Features

  • Set All Sectors
  • Set All Districts
  • Done
  • Revert
  • Cancel
  • Drop-down list of Countries

Minimum Required Allocation

The minimum required water allocation in MCM/year that must be provided to each water use sector in each distrct

Set all Sectors

Use cells in the final, rightmost column to enter the same minimum required allocationfor all water use sectors in the selected row/district in a single go.

Set all Districts

Use cells in the bottom row to enter the same minimum required allocation for all districts for the selcted water use sector/column in a single go.

Done

Click the Done button to save changes and close the editor.

Revert

Click to cancel all edits and revert the table to as it appeared when the Editor was initiatlly opened.

Cancel

Revert all modifications, close the Editor, and return to the WAS Main Page.

Drop-down list of Countries

Limit display of table rows to districts associated with the selected country. Clear text from the drop-down list to show all districts.


Waste-Water Treatment Limits Editor

Use this editor to specify the maximum percent of each sector's wastewater that can be treated for reuse. This limitation can represent physcial loss (such as by evaporation) through treatment or treatment reduction, or other policy considerations. The Editor presents a cross-tabulated table with water use sectors defined for the model scenario listed across the columns and districts shown in the rows of the first column. Use the drop-down list of country names to select a country and limit the display of districts to districts in the selected country.

In the figure below, up to 66% of the Urban and Industrial sector wastewater can be treated for reuse. No agricultural wastewater can be treated and reused. Use the Set all Sectors column to enter the same required allocation for all the sectors in a row/district. Similarly, use the Set all Districts row to enter the same minimum required allocation for a particular column/water use sector in all districts.

SetAllSectorsSetAllQualitiesDoneRevertCancel

Data

  • Waste-Water Treatment Limitation

Features

  • Set All Sectors
  • Set All Districts
  • Done
  • Revert
  • Cancel
  • Drop-down list of Countries

iWaste-Water Treatment Limitation

The maximum percent of the specified sector's wastewater that can be treated for reuse.

Set all Sectors

Use cells in the final, rightmost column to enter the same minimum required allocationfor all water use sectors in the selected row/district in a single go.

Set all Districts

Use cells in the bottom row to enter the same minimum required allocation for all districts for the selcted water use sector/column in a single go.

Done

Click the Done button to save changes and close the editor.

Revert

Click to cancel all edits and revert the table to as it appeared when the Editor was initiatlly opened.

Cancel

Revert all modifications, close the Editor, and return to the WAS Main Page.

Drop-down list of Countries

Limit display of table rows to districts associated with the selected country. Clear text from the drop-down list to show all districts.


Water Quality Type Use Constraints Editor

Enter the additional cost and limitations (constraints) on use of each water quality type in each water availability event. Enter Additonal Cost in $/m3 as the cost above the local source operational cost and intra-district conveyance cost. Select a Limitation Type either As Quantity or As Percent and then enter the associated limitation value in either the Max. Volume or Max. Use columns. To select a Limitation Type, click on the cell in the column Limitation Type, then click on the down arrow to open the list of options. Note that if the (None) limitation option is selected, values will still be preserved in the Max. Volume or Max. Use columns. However, these values will not be used in optimization. Use the drop-down lists for water availability events, water quality types and countries to limit the display of districts.

The Figure below shows no additional cost nor limitations on use for use of Freshwater in the Severe drought water availability event in all districts in Jordan. The Limitation Type (None) is being selected for Amman in the list of limit type options shown.

Input Data

  • Additonal Cost
  • Limitation Type
  • Maximum Volume
  • Maximum Use

Features

  • Done
  • Resort
  • Revert
  • Cancel
  • Set for all Districts
  • Drop-down list of Water Availability Events
  • Drop-down list of Water Quality Types
  • Drop-down list of Countries

Additional Cost

The additional cost in $/m3 above the local source operational cost and intra-district conveyance cost for use of the water quality type.

Limitation Type

The type of limit imposed on use of the water quality type in the district and event. To choose an option, click on the cell and then click the down-arrow. Options are (None) [no limitation imposed], As Volume, and As Percent. When either of the latter two otions are selected, enter the associated value in the Max. Volume or Max. Use columns.

Maximum Volume

The Maximum use in MCM/year allowed for the specified water quality type in the selected district and event when the Limitation Type is set As Volume.

Maximum Use

The Maximum use allowed for the specified water quality type expressed as a percent of the total volume of the water quality type available in the selected district and event when the Limitation Type is set As Percent.

Done

Close the editor and return to the WAS Main Page.

Resort

Reorder the district list according to the Sort Order specified for districts in the District Editor.

Revert

Cancel edits and return data to the values as they existed when the editor was opened.

Cancel

Revert data to the values when the editor was opened, close the editor, and return to the WAS Main Page.

Set for all Districts

Enter the same value for all districts.

Drop-down list of Water Availability Events

Limit display of rows in the table to the selected water availability event. Clear text from the drop-down list to show all water quality types.

Drop-down list of Water Quality Types

Limit display of rows in the table to the selected water quality type. Clear text from the drop-down list to show all water quality types.

Drop-down list of Countries

Limit display of table rows to districts associated with the selected country. Clear text from the drop-down list to show all districts.


Environmental Charges

Enter the Environmental Charges in $/m3 for the safe disposal of waste-water from each sector to the environment in each district and water availability event. Note that environmental safe disposal charges represent the minimum required level of wastewater treatment. If additional waste-water treatment is required to further treat wastewater for re-use as another water quality type, these additional charges (and the associated treatment plant capacities) must be entered in the Waste Water Treatment Plant Editor.

In the figure below, safe disposal of waste-waterthe Urban and Industrial water use sectors costs $0.30/m3 in all districts and event. There are no charges for safe disposal of Agricultural waste-water to the environment. Note that a variety of features are available to pivot and control display and input of this data. See Pivot Table Use.

Environmental Charge

The charge iin $/m3 for the safe disposal to the environment of waste-water from specified water use sector in the specified district and water availability event. Note that this safe disposal charge represents the minimum required level of wastewater treatment. If additional waste-water treatment is required to further treat wastewater for re-use as another water quality type, these additional charges (and the associated treatment plant capacities) must be entered in the Waste Water Treatment Plant Editor.


Special User Conditions Editor

Enter the Penalty (or Loss) users in each water use sector experience in each water availability event when the sector's water use is below the specified Minimum Use threshold. Enter the Penalty/Loss in $/m3 and Minimum Use threshold in MCM/year. The total penalty is calculated as (Minimum Use Threshold - Actual Use) * Penalty. These penalties or special user conditions may help account for long-run effects that may not be included in the water use sector demand curves. Penatlies, if levied, are simply substracted from the objective function (net benefits).

In the figure below, no Minimum Use or Penalties are specified for any water use sector during the Average water availability event. Note that a variety of feastures are available to pivot and control display and input of this data. See Pivot Table Use.

Minimum Use

A threshold minimum use volume in MCM/year for the specified water use sector in the specified district and water availability event. When the sector's water use is below this threshold, the difference between the threshold and actual use is assessed the specified Penalty.

Penalty/Loss

The penalty in $/m3 when the specified water use sector's water use is below the specified Minimum Use threshold.


Pivot Table Form Use

This page describes how to use the Pivot Table features available on many data input editors. The Pivot Table features allow users to control how multi-dimensional data is displayed in a table -- how dimensions are grouped and ordered into row and column headers. The Pivot Table features work very similar to the pivot table features available in MS Excel, except Excel only allows users to pivot data to view, whereas the Pivot tables here allow user to pivot data to view, enter, and edit data.

An example is provided for Base Year Use Editor. Keep in mind that enetering Base Year Use data requires entering a Quantity and Price for each District, Event, and Water Use Sector. Thus, there are two Data Fields (Quantity and Price) and three dimensions (District, Event, and Water Use Sector). A fourth dimension, Country, is available to further limit the display of districts. The Pivot Table editor opens as shown below. Table rows enmerate the lists of (i) Districts (Amman, Zarqa, etc.) defined in the District Editor, (ii) Countries (Jordan) associated with those districts, and Events (Single-Year) defined in the Event Editor. The table columns enumerate the water use Sectors (Urban, Industrial, Agriculture) defined in the Sector Editor and repeat for each Data Field (Quantity and Price). Note that since no items are selected for the drop-down lists of Countries and Events in the Pages rectangle, Country and Event columns are added to the list of row headers.

Drop-down lists/labels representing each dimension are situated in the Pages, Row Headers, and Column Headers rectangles to the left of the table. These drop-down lists/labels can be dragged and dropped among and reorderd within the rectangles to control the display of and ordering of row and column headers in the table. When an element is dragged-over a rectangle, the rectangle highlighs in orange to indicate the element can be dropped into it. For exmaple, when a label is dragged over and dropped into the Pages rectangle, the label turns into a Drop-Down list that allows the user to select one element from the list. After an element is selected, the column header(s) is/are removed from the Table. When a page or label is dragged over and dropped into either the Row Headers or Column Headers rectangles, it turns into a label and all the elements in the list are enumerated in the corresponding row or column headers for the table.

Note that the Data Fields label cannot be dragged out of the Column Headers rectangle, it can only be dragged and reordered within this rectangle. Similarly no drop-down lists nor labels can be dragged into nor out of the Data Fields rectangle. Only the data fields labels can be dragged and reorded in this rectangle.

Some examples below demonstrate use of the features and the results. In the figure below, the Country Jordan was selected in the 1st drop-down list in the Pages rectangle. This selection limits the display of districts to districts that are in Jordan and removes the Country column from the table. The user is also about to select the Single-Year event (the only option available). Note also, in the Column Headers rectangle, the Data Fields label appears above the Sector label so that that in the Table the column headers Quantity and Price span multiple columns that comprise each water-use sector.

After the Single-Year event was selected, and the event column was removed from the table.

Below, the Sector label is about to be dropped into the Row Headers rectangle below the District label.

Dragging and dropping the Sector label in to the Row Headers rectangle causes the table to enumerate rows for each sector and district

(i.e., Row 1: Amman, Urban

Row 2: Amman, Industrial

Row 3: Amman, Agriculture

Row 4: Zarqa, Urban

Row 5: Zarqa, Industria

etc.)

and the column headers to show only the 2 data fields (Quantity and Price).

Dragging the Sector label back in the Column Headers rectangle and dropping it below the Data Fields label and also dragging the Price label and dropping it above the Quantity label in the Data Fields rectangle reorganizes the column headers as shown below. Note that the each water use sector label (Urban, Industrial, etc.) spans columns for the Price and Quantity. Note further that Price appears before Quantity.

Features

  • Pages
  • Row Headers
  • Column Headers
  • Data Fields
  • SET ALL
  • Done

Pages

Drag a label into this rectangle to activate a drop-down list of items. Select an item from the drop-down list to limit display of rows. Note, once an item is selected, the column corresponding to the list will be removed from the table.

Row Headers

Drag and drop drop-down lists or labels into this rectangle to control the listing of row headers in the table. The first label will correspond to the 1st column, the second label to the 2nd column, etc.

Column Headers

Drag and drop drop-down lists or labels into this rectangle to control the listing and spanning of column headers in the table. The first label will correspond to the 1st row of column headers (labels that may span multiple columns), the second label to the 2nd row (sub-grouping), etc. Note that the Data Fields label can not be dragged out of the Column Headers rectangle. The Data Fields label can only be reordered in the list to adjust the spanning and grouping of column header labels.

Data Fields

Lists the different data fields (input data) to be entered/viewed. Note that these labels can not be dragged nor dropped outside of the Data Fields rectangle. Data field lables can only be reorderd in the list.

SET ALL

The value entered into the cell will be set to all rows in the selected column.

Done

Click this button to close the Pivot Table Editor and return to the WAS Main Page.


Results

Offers a menu of options to view results in summary, tabular, and schematic form. Also provides a cost-benefit calculator to calculate the net-present value from the difference in Net Benefits between model scenarios.


Scenario Summaries

This window shows summary optimization model results for each model scenario in the model database. These results include the Title (Scenario Name), Forecast year for which demand estimates are set, Number of water availability events, and Net Benefits (Net Social Welfare). The example below shows results for the 10 scenarios in the example database . To convert the text to a table, follow these directions to Export to Excel. Note that Net Benefit results will only be shown if the model scenario has been optimized.

Features:

  • Title
  • Forecast Year
  • Water Availability Events
  • Net Benefits (Net Social Welfare)
  • Print
  • Close
  • Export to Excel

Title.

This column lists the scenario name.

Forecast Year

This column lists the demand Forecast Year for the model scenario as entered in the Scenario Editor.

Water Availability Events

This column lists the number of water availability events for the model scenario that were entered in the Event Editor.

Net Benefits (Net Social Welfare)

This column lists the net benefits in $ Millions/year for each model scenario. This is the overall result and indicator of total economic performance for the model scenario.

Print

Click the Print button to print the table.

Close

Close the Scneario Summaries window and return to the WAS Main Page.

Export To Excel

To export the table to Excel, follow these steps.

  1. Highlight and copy all the table text
  2. Open Excel
  3. Paste the selection as plain text. The table text will appear all in the 1st column.
  4. Highlight the pasted cells, open the Data pane, and select the Text to Columns option. In the Text to Columns dialogue, set 'Original Data Type' as 'Fixed Width' and then click Finish.

The resulting Excel worksheet should look like the figure below.


Tabular Output

This window allows the user to view all optimization output and results for the selected model scenario in tabular (table) form. The upper text box show the Scenario name and description as entered in the Scenario Editor. The blue box shows the date the scenario was created. The large box shows results. Use the scrollbar on the right to view results that do not fit in the textbox window, and use the << Previous and Next >> buttons to scroll through a variety of Types of Results , including Comparing model input data to the Default Scenario, Overall Results, Prices, Quantities (water volumes) and per-capita use, Social Welfare, Volumes of water transported to other districts, Leak Reduction and Conservation Program Developments, Infrastructure Capacity Expansions (Conveyance, Wastewater treatment, Desalination, and Local Source), and Supply Schedules for Use of Local Sources. The figure below shows Overall results for the Scenario Jordan2020_syNatCons (which implemented a national program of water conservation technologies to urban water users with the most potential to conserve water). The Overall Net Benefit was $6,536 Million/year.

Features:

  • << Previous
  • Next >>
  • PRINT
  • OK
  • Types of Results
    1. Comparison to Default Scenario
    2. Overall Results
    3. Prices
    4. Quantities
    5. Social Welfare
    6. Transport
    7. Leak Reduction and Conservation Program Developments
    8. Infrastructure Capacity Expansion
    9. Supply Schedules

<< Previous

Click this button to scroll to the previous item in the ordered list of Types of Results.

Next >>

Click this button to scroll to the next item in the ordered list of Types of Results.

PRINT

Click this button to print the results shown in the textbox.

OK

Click this button to close the viewer and return to the WAS Main Page.

Types of Results

A listing and explanation of the different types of model results available for viewing in tabular form.

  1. Comparison to Default Scenario

    Shows all differences between input data for the selected model scenario and the default model scenario selected in the Scenario Manager.

  2. Overall Results

    Shows overall model results including Total Expenditures, Buyer Surplus, Producer Surplus, Payments for Constrained Capacity, Capacity Expansion costs, etc. subtotals for each political unit (country) and the Grand Total. Also shows the water demand for each water quality type, average price paid, and average per-capita use for each water sector. In addition, it shows payments and use of each common pool resource by each political unit. The Figure above show sample Overall Results output.

  3. Prices

    Shows prices in each district including shadow value of water before and after leakage for each water quality type and prices paid by each water use sector. Results are grouped by Country and Water Availability Event. The Figure below shows resulting prices for Jordan in the Single-Year Event.

  4. Quantities

    Shows the quantity (water volume) produced in, net exported away from, and demanded by each water use sector in each district. Tables show summary results by country for all water quality types and the average water availability event as well as breakdowns for each country, water quality type, and water availability event.

  5. Social Welfare

    Shows a breakdown by district and water use sector of Social Welfare results displayed in the Overall Results.

  6. Transport

    Shows the cost, capacity, and water volume transported in each water availability event along each existing conveyance link. Separates results for each water quality type.

  7. Leak Reduction and Conservation Program Developments

    Shows initial, reduction, and final leak reduction rates in each district's water quality type distribution system as well as capital costs and resulting shadow values for these leak reduction efforts. Also shows similar results with a breakdown by district and water use sector for water conservation efforts by users in the sector.

  8. Infrastructure Capacity Expansion

    Shows intial, expansion, and final capacity of, capital cost for, and use of and shadow values for in each water availability event for conveyance, wastewater treatment, desalination, and local source facilities. Results are broken down by country, district, and conveyance link.

  9. Supply Schedules

    Shows the schedule of local resource water supplies including maximum amount and cost for each district and source. Results are separated by water availability event and water quality type.


Cost-Benefit Calculation

This form allows the user to calculate the present value of the increased benefits assoicated with specific change(s) in infrastructure or water conservation initiative(s) between two model scenarios. This result is made as a side calculation after both model scenarios are optimized. First, select the model scenario without the change, and then the scenario with the change. Then, enter the A href="#frmCostBenefit_txtDiscountRate">Discount Rate, Project Life, and Capital Cost. The program then compares the present value of the annualized net benefits (the optmization results) to the capital cost. (Note that continuous compounding is used to convert annualized net benefits to present value benefits). The orange shaded boxes will update each time a different scneario is selected or the discount rate, project life, or capital costs are changed. The figure below shows the dilague as it appears when it was opened. The scenario Jordan2020_sy has annual net befits of approximately $2,700 Million/year.

Click to Select Scenario without the ChangeClick to Select Scenario with the ChangeDiscountRateProjectLifeCapCostOK

Selecting a comparison scenario Jordan2020_syNatCons whch implemented a nationwide water conservation program that reduced water use by urban users in all districts with the most potential to conserve by up to 33% yielded annualized net benefits of approximately $6,400 Million/year. Specifying a discount rate of 5%, project life of 15 years and capital costs of $100 Million for the conservation efforts shows a present value of the conservation program of approximately $38,500 Million/year (See figure below).

Controls:

  • Click to Select Scenario without the Change
  • Click to Select Scenario with the Change
  • Discount Rate
  • Project Life
  • Capital Cost
  • OK

Click to Select Scenario without the Change

Opens the Scenario Manager to allow the user to select the model scenario without the change. Once a scenario is selected, the orange box to the right of the scenario name will update with the Annual Net Benefit for the selected scenario.

Click to Select Scenario with the Change

Opens the Scenario Manager to allow the user to select the model scenario withthe change. This change can represent an added leak reduction or water conservation program, and infrastructure expansion, or some other physical, infrastructure, policy, or other change between two model scenarios. Once a scenario is selected, the orange box to the right of the scenario name will update with the Annual Net Benefit for the selected scenario.

Discount Rate

Specifies the interest rate, bonding rate, or other relevant time-value-of-money to convert annual benefits resulting from the project/change into present-value benefits/costs for the project.

Project Life

The lifetime in years in which the change will likely generate the estimated annual net benefits estimated by the optimization model.

Capital Cost

Capital (one-time) costs for the change(s). Note that capital costs should be set to zero here if the change represents a capacity expansion and the changed model scenario already allows capacity expansion decisions and includes capital costs for those expansions. In that case, capital costs will be discounted according to the interest rate entered for the model scenario in the Scenario Manager.

OK

Click to close the editor and return to the WAS Main Page.


Schematic

The model schematic allows the user to view all optimization output and results for the selected model scenario and an optional comparison model scenario by district in map form. District locatiions are plotted according to the X- and Y- coordinates for the district entered in either the District Editor or Position Districts and Nodes Editor.

The Schematic opens with the Instructions to use the model schematic (see figure below).

Within the Display Controls rectangle, check the box next to a country name to display results for the districts in that country (Multiple countries may be checked simulatenously). Click the Toggle Map button to show the map image specified and saved for the model scenario previously in the Position Districts and Nodes Editor. (Click Toggle Map again to remove the map). The figure below shows shadow value results in blue for the current scenario Jordan2020_syNatCons for the 12 districts in Jordan. (See explanations for different Types of Results).

Within the Scenario Controls rectangle, click the button Compare to a Saved Scenario to open the Scenario Manager and select a second, comparison, alternative scenario to simulatenously show results for. Results for the saved, comparison, alternative scenario will be shown in red below the blue results for the Current Scenario. The figure below shows results forthe current scenario Jordan2020_syNatCons and the alternative scenario Jordan2020_sy. From the figure, we can see that a national conservation program that targets urban users with the most potential to conserve can significantly reduce shadow values (scarcity costs) in most districts. For exmaple, the conservation program reduces shadow values in Amman from more than $33/cubic meter to less than $9/cubic meter. Note, to remove the saved, comparison, alternative scenario results from the schematic, click the button Remove the Saved Scenario from within the Scenario Controls rectangle.

Select different model results by choosing from the menu options Price, Quantities, Infrastructure, and Social Welfare. Further explanations of each Result Type appear in the Results Menu below. In the Display Controls rectangle, different drop-down lists for Water Use Sectors, Water Quality Types, and Water Availability Events will appear and be active depending on the result type selected. Choose from these lists to display results specific to the choices. The figure above shows drop-down lists for Water Quality Type and Event (with the options Freshwater water quality type and Single-Year event selected ). Note that for results types that are quantities (water volumes) or dollar amount, subtotals for each country for the Current and Saved scenarios will apear to the right of the country name. For example, in the Figure below, Net Social Welfare is selected from the Social Welfare results menu and gives $6,400 and $2,740 Millions/year for Jordan, respectively for the current and saved scenarios.

Finally, click Close to close the Model Schematic and return the WAS Main Page.

Features:

  • Schematic Controls
    1. Display Controls
      • Instructions Checkbox
      • Country Checkboxes
      • Drop-down lists
    2. Scenario Controls
      • Compare to a Saved Scenario
      • Remove the Saved Scenario
    3. Toggle Map
    4. Print
    5. Close
  • Results Menu
    1. Price Results
      • Shadow Values before Leakage
      • Shadow Values after Leakage
      • Paid by Sector
    2. Quantities
      • Production
      • Net Export
      • Sector Demand
      • Sector's Treated Wastewater
    3. Infrastructure
      • Use
        1. Desalination
        2. Waste-water Treatment
        3. Conveyance
        4. Local Sources
        5. Leak Reduction
        6. User Conservation
      • Capacity Expansion
      • Shadow Value
    4. Social Welfare
      • Capital Expenditures
      • Profits (Producer Surplus)
      • Buyer Surplus
      • Government Costs
      • Pipe Capacity Surplus
      • Recycling Capacity Surplus
      • Unaccounted-for Costs
      • Net Social Welfare

Schematic Controls

Checkboxes, drop-down lists, and buttons to control the display of results on the schematic.

  1. Display Controls

    • Instructions Checkbox

      Check to show the instructions for how to use the Schematic to view results.

    • Country Checkboxes

      Check to display results for each district associated with the country. More than one country can be checked simultaneously.

    • Drop-down lists

      Select options for Water Use Sectors, Events, and Water Quality Types as particular to the type of results being displayed.

  2. Scenario Controls

    • Compare to a Saved Scenario

      Click to open the Scenario Manager and select an alternative, saved scneario against which to compare results for the current scenario. Saved scenario results will be shown in red below the current scenario ( blue) results.

    • Remove the Saved Scenario

      Click to remove the saved scenario results from the Model Scematic.

  3. Toggle Map

    Click to show the map image specified and saved for the model scenario previously in the Position Districts and Nodes Editor. Click the button again to remove the map.

  4. Print

    Click to print a paper copy of the Model Schematic.

  5. Close

    Click to close the Model Schematic and return to the WAS Main Page.

Results Menu

Price, Quantity, Infrastructure use, expansion, and shadow value, and Social Welfare Results available through the Menus at the top of the Schematic.

  1. Price Results

    • Shadow Values before Leakage

      Shadow values in $/m3 for selected water quality type and selected water availability event. The shadow value represents the scarcity cost of water in a district, or the increase in overall net benefits (the optimization objective function) were an additioinal unit of water available in the district. The shadow value can also be interpreted as the user's willingness-to-pay for an additional unit of water were it available in the district. Shadow values are an optimization result associated with the continuity equation (mass balance constraint) on water in each district. The shadow value before leakage is this shadow value multiplied by the inter-district leakage rate and devided by the probability of the water availability event.

    • Shadow Values after Leakage

      The Shadow Value after leakage is the Shadow Values before Leakage divided by the intra-district leakage rate. Shadow values after leakage are reported in $/m3 for the selected water quality type and selected water availability event.

    • Paid by Sector

      Price paid for water in $/m3 by selected sector in selected water availability event. In the absence of fixed-price policies, this price corresponds to the consumed water quantity according to the water use sector's demand curve. With fixed-price policies in place, this price is the price the water use sector actually pays according to fixed-price price schedule defined in the Price Policy Editor.

  2. Quantities

    • Production

      Volume of local source water produced in MCM/year of selected water quality type in selected water availability event.

    • Net Export

      Volume of water water in MCM/year exported out of each district. Net Export = Total Exports - Total Imports, where exports are the quantities of water conveyed out of the district to other districts and nodes, and imports are the quantities of water conveyed into the district from other districts and nodes.

    • Sector Demand

      Volume of water in MCM/year of selected water quality type used by selected water use sector in the selected water availability event.

    • Sector's Treated Wastewater

      Volume of selected water use sector's wastewater in MCM/year treated within in each district and available for reuse as a different water quality type in selected water availability event.

  3. Infrastructure

    • Use

      1. Desalination

        Water volume in MCM/year desalinated to selected water quality type in selected water availability event.

      2. Waste-water Treatment

        Waste-water volume in MCM/year treated in selected water availability event and available for reuse as the selected water quality type.

      3. Conveyance

        Water volumne in MCM/year conveyed between districts of selected water quality type in selected water availabity event. Note, conveyance links and results do not show properly.

      4. Local Sources

        Volume in MCM/year of local sources of selected water quality type produced in the district during the selected water availability event.

      5. Leak Reduction

        Percentage of water of selected water quality type that is lost through the intra-district conveyance system. This percentage is the total of pre-existing leakage minus reductions achieved from leak reduction efforts recommended by the optimization program.

      6. User Conservation

        Percentage reduction (shift left) of selected water sector's demand as a result of water conservation efforts such as installation of water efficient appliances or practices. This percentage is the total of pre-existing conservation plus reductions accheived achieved from user conservation efforts recommended by the optmization program.

    • Capacity Expansion

      Quantity or percetange reduction achieved as a result of infrastructure capacity expansion or conservation programs recommended by the optimization program. Results available for each infrastructure type as listed under Use.

    • Shadow Value

      Shadow value associated with infrastructure capacity expansion for each infrastructure type listed under Use. This shadow value represented the increase in overall net benefits were the capacity of the specified infrastructure expanded by one unit.

  4. Social Welfare

    • Capital Expenditures

      Capital expenditures in $ Millions to expand desalination, conveyance, wastewater treatment, local source infrastructure capacities and to implement leak reducation and user water conservation programs.

    • Profits

      Producer surplus in $ Millions in the selcted water availability event. The producer surplus results from the sale of water. These profits and producer surplus are calculated as the shadow value of water before leakage subtracted from the cost to use the local resource and multiplied by the volume of the local resource used.

    • Buyer Surplus

      Buyer surplus in $ Millions in the selcted water availability event. The buyer surplus is the integral under the policy-adjusted water use sector demand curve evaluated from an arbitrary starting point to volume demanded by the water use sector.

    • Government Costs

      Government costs are the financial costs in $ Millions/year the government incurss when there is a national pricing policy. These costs amount to the difference between the amount that water use sectors would pay without such a policy and subtracting the amount that they actually do pay. For subsidy policies, the price that consumers would pay in the absence of the policy is the shadow price of the water in question plus the environmental charge adjusted for recycling profits. Whith a fixed price policy, the government costs in the difference between the shadow price and reimbursements received from the water use sectors.

    • Pipe Capacity Surplus

      Pipe capacity surplus in $ Millions per year is the conveyance pipeline profit which is calculated as the shadow value associated with conveyance pipe capacity constraint multiplied by the conveyance capacity.

    • Recycling Capacity Surplus

      Recycling (Wastewater treatment) capacity surplus in $ Millions per year is the wastewater treatment profit and is calculated as the shadow value associated with the wastewater treatment plant capacity constraint multiplied by the wastewater treatment plant capacity.

    • Unaccounted-for Costs

      Unaccounted-for costs in $ Millions/year are otherwise unaccounted-for environmental costs. These costs occur when there are fixed price policies. In such a case, water use sectors pay the fixed prices but then the environmental charge (adjusted for recycling profits) on those quantities is paid by nobody.

    • Net Social Welfare

      Overall exprected net benefits in $ Millions/year. These benefits are the water availability event probability weighted sum of (Buyer Surplus + Profits (Producer Surplus) + Pipe Capacity Surplus + Recycling Capacity Surplus - Government Costs - Unaccounted-for Costs) minus Capital Expenditures.


Help

Help Menu

Press the F1 Key from any Editor or Menu to access the Help Topic for the Editor or Menu.

The Help Menu also provides direct links to the following pages in this Help File:

  • About Page
  • Program Installation
  • Tutorial
  • Dialogs and Editors
  • Contents...
  • Index...
  • Search...


District Editor

The District Editor allows the user to define the districts to include in the model scenario. Districts are locations where water sector demands exist, desalination and wastewater treatment plants can be built and operated, local water sources (available to the district) defined, developed, or expanded, leakage rates are assigned, as well as a variety of pricing, water set aside, etc. policies defined. The district editor allows the user to add, duplicate, and delete districts in the model scenario, define the country to which the district is associated, specify the sort order in which districts will appear in drop-down lists, plus specify the district location in terms of X- and Y- coordinates ({0,0} represents top-left of a box and {1000,1000} represents bottom-right).

DistrictNameSortOrderEntityDuplicatePage(0)Options(0)Col WidthsDoneResortRevert

Features

  • District
  • Sort Order
  • Country
  • X Coordinate
  • Y Coordinate
  • New
  • Duplicate
  • Delete
  • Order as in Table
  • Revert
  • Cancel
  • Save and Close
  • Position Points

District

Select the text box and edit or change the district name. This name will appear in all subsequent district-related drop-down lists and in results.

Sort Order

Select the text box and edit or change the number associated with the district. Districts will be listed in drop-down lists according to the chronologically increasing sort order.

Country

Select the textbox and a drop-down list of available countries will appear. The user can select the country to which to assign the district.

X Coordinate

Specify the X coordinate of the district location as an integer between 0 and 1000 where 0 is far left and 1000 is far right. Note, the Position Points button can also be clicked to open a dialogue that allows the user to drag and drop district labels to position and set their X- and Y- coordinates.

Y Coordinate

Specify the Y coordinate of the district location as an integer between 0 and 1000 where 0 is top and 1000 is bottom. Note, the Position Points button can also be clicked to open a dialogue that allows the user to drag and drop district labels to position and set their X- and Y- coordinates.

New

Click to add a new districts to the list. All district data will be set at default (mostly zero) values.

Duplicate

Select an existing district and then click duplicate. The user will be prompted to enter a new (unique) district name. All district data from the selected district (including populations, demand elasticities, local water sources, desalination plants, etc.) will be copied into the new district.

Delete

Highlight a district and click delete. The user will be prompted to confirm the deletion. The district and all it's associated data, as well as conveyance links leading either into or out of the district will be deleted from the model scenario.

Order as in Table

Click this button to reorder the Sort Order list as Districts are currently listed in the table.

Revert

Cancel all new additions, duplications, deletions, etc. and revert the district list to as it appeared when the District Editor was initiatlly opened.

Cancel

Revert all modifications, close the District Editor, and return to the WAS Main Page.

Save and Close

Save all modifications, close the District Editor, and return to the WAS Main Page.

Position Points

Opens the Position Points dialogue and editor and allows the user to drag and drop district labels to position and set their X- and Y- coordinates.


Contents for WASDBStoc

  • WASDBStoc
    • Introduction
    • Getting Started
      • Installation
      • Starting the program
    • Tutorial
    • Dialogs
      • WAS HELP
      • WAS3.3 - Data Base
      • Countries
      • Scenario Manager
      • Informaton for new Conveyance link
      • Countries
      • Countries
      • Countries
      • Countries
      • Countries
      • Controls
      • psch_instructions
      • ArrowHeadLabel
      • psch_PNA
      • ucPivotGrid
      • Form1
      • Cost-Benefit Calculation
      • Database Handle Files
      • Position Districts and Nodes
      • Quit WAS v.3.4
      • MODEL OUTPUT
      • Display Results of Single File
      • Cancel
    • Support
    • Copyright